%option noyywrap

comment #[^\n]*
id      [A-Za-z_][0-9A-Za-z_]*
ws      [ \t]|{comment}
string  \"[^\"]*\"
float   ([0-9]+\.[0-9]*|[0-9]*\.[0-9]+)([eE][+\-]?[0-9]+)?
int     [0-9]+

%{
#include "she.h"
%}

%%

{ws}     ;
{id}     { return TOK_IDENT; }
{string} { return TOK_STRING; }
{float}  { return TOK_FLOAT; }
{int}    { return TOK_INT; }
"\n"     { return '\n'; }
.        { return yytext[0]; }

%%
