/* this is generated code */

#ifndef HAVE_FFI

#include <bfd.h>
#ifndef WIN32
# define _GNU_SOURCE
# include <dlfcn.h>
#endif

#include "reflection.h"

int reflection_dispatch(
    reflection_t* ref, const char* name, reflection_type_t rtype,
    int arg_num, reflection_value_t* args, reflection_type_t* types,
    reflection_value_t* ret)
{
    reflection_sym_t** asym =
        (reflection_sym_t**)htab_find_slot(ref->syms, name, NO_INSERT);
    int fp = 0;

    if (!asym) {
#ifdef __USE_GNU
        fp = (int)dlsym(RTLD_DEFAULT, name);
#endif
        if (fp == 0) return 1;
    }
    else {
        fp = (*asym)->fp;
    }

switch(arg_num) {
case 0:
switch (rtype) {
case R_CHAR:
ret->c=((char (*)())fp)();
break;
case R_INT:
ret->i=((int (*)())fp)();
break;
case R_FLOAT:
ret->f=((float (*)())fp)();
break;
case R_PTR:
ret->p=((void* (*)())fp)();
break;
case R_VOID:
((void (*)())fp)();
break;
} break;
case 1:
switch (rtype) {
case R_CHAR:
switch (types[0]) {
case R_CHAR:
ret->c=((char (*)(char))fp)(args[0].c);
break;
case R_INT:
ret->c=((char (*)(int))fp)(args[0].i);
break;
case R_FLOAT:
ret->c=((char (*)(float))fp)(args[0].f);
break;
case R_PTR:
ret->c=((char (*)(void*))fp)(args[0].p);
break;
}
break;
case R_INT:
switch (types[0]) {
case R_CHAR:
ret->i=((int (*)(char))fp)(args[0].c);
break;
case R_INT:
ret->i=((int (*)(int))fp)(args[0].i);
break;
case R_FLOAT:
ret->i=((int (*)(float))fp)(args[0].f);
break;
case R_PTR:
ret->i=((int (*)(void*))fp)(args[0].p);
break;
}
break;
case R_FLOAT:
switch (types[0]) {
case R_CHAR:
ret->f=((float (*)(char))fp)(args[0].c);
break;
case R_INT:
ret->f=((float (*)(int))fp)(args[0].i);
break;
case R_FLOAT:
ret->f=((float (*)(float))fp)(args[0].f);
break;
case R_PTR:
ret->f=((float (*)(void*))fp)(args[0].p);
break;
}
break;
case R_PTR:
switch (types[0]) {
case R_CHAR:
ret->p=((void* (*)(char))fp)(args[0].c);
break;
case R_INT:
ret->p=((void* (*)(int))fp)(args[0].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float))fp)(args[0].f);
break;
case R_PTR:
ret->p=((void* (*)(void*))fp)(args[0].p);
break;
}
break;
case R_VOID:
switch (types[0]) {
case R_CHAR:
((void (*)(char))fp)(args[0].c);
break;
case R_INT:
((void (*)(int))fp)(args[0].i);
break;
case R_FLOAT:
((void (*)(float))fp)(args[0].f);
break;
case R_PTR:
((void (*)(void*))fp)(args[0].p);
break;
}
break;
} break;
case 2:
switch (rtype) {
case R_CHAR:
switch (types[0]) {
case R_CHAR:
switch (types[1]) {
case R_CHAR:
ret->c=((char (*)(char,char))fp)(args[0].c,args[1].c);
break;
case R_INT:
ret->c=((char (*)(char,int))fp)(args[0].c,args[1].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,float))fp)(args[0].c,args[1].f);
break;
case R_PTR:
ret->c=((char (*)(char,void*))fp)(args[0].c,args[1].p);
break;
}
break;
case R_INT:
switch (types[1]) {
case R_CHAR:
ret->c=((char (*)(int,char))fp)(args[0].i,args[1].c);
break;
case R_INT:
ret->c=((char (*)(int,int))fp)(args[0].i,args[1].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,float))fp)(args[0].i,args[1].f);
break;
case R_PTR:
ret->c=((char (*)(int,void*))fp)(args[0].i,args[1].p);
break;
}
break;
case R_FLOAT:
switch (types[1]) {
case R_CHAR:
ret->c=((char (*)(float,char))fp)(args[0].f,args[1].c);
break;
case R_INT:
ret->c=((char (*)(float,int))fp)(args[0].f,args[1].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,float))fp)(args[0].f,args[1].f);
break;
case R_PTR:
ret->c=((char (*)(float,void*))fp)(args[0].f,args[1].p);
break;
}
break;
case R_PTR:
switch (types[1]) {
case R_CHAR:
ret->c=((char (*)(void*,char))fp)(args[0].p,args[1].c);
break;
case R_INT:
ret->c=((char (*)(void*,int))fp)(args[0].p,args[1].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,float))fp)(args[0].p,args[1].f);
break;
case R_PTR:
ret->c=((char (*)(void*,void*))fp)(args[0].p,args[1].p);
break;
}
break;
}
break;
case R_INT:
switch (types[0]) {
case R_CHAR:
switch (types[1]) {
case R_CHAR:
ret->i=((int (*)(char,char))fp)(args[0].c,args[1].c);
break;
case R_INT:
ret->i=((int (*)(char,int))fp)(args[0].c,args[1].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,float))fp)(args[0].c,args[1].f);
break;
case R_PTR:
ret->i=((int (*)(char,void*))fp)(args[0].c,args[1].p);
break;
}
break;
case R_INT:
switch (types[1]) {
case R_CHAR:
ret->i=((int (*)(int,char))fp)(args[0].i,args[1].c);
break;
case R_INT:
ret->i=((int (*)(int,int))fp)(args[0].i,args[1].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,float))fp)(args[0].i,args[1].f);
break;
case R_PTR:
ret->i=((int (*)(int,void*))fp)(args[0].i,args[1].p);
break;
}
break;
case R_FLOAT:
switch (types[1]) {
case R_CHAR:
ret->i=((int (*)(float,char))fp)(args[0].f,args[1].c);
break;
case R_INT:
ret->i=((int (*)(float,int))fp)(args[0].f,args[1].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,float))fp)(args[0].f,args[1].f);
break;
case R_PTR:
ret->i=((int (*)(float,void*))fp)(args[0].f,args[1].p);
break;
}
break;
case R_PTR:
switch (types[1]) {
case R_CHAR:
ret->i=((int (*)(void*,char))fp)(args[0].p,args[1].c);
break;
case R_INT:
ret->i=((int (*)(void*,int))fp)(args[0].p,args[1].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,float))fp)(args[0].p,args[1].f);
break;
case R_PTR:
ret->i=((int (*)(void*,void*))fp)(args[0].p,args[1].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[0]) {
case R_CHAR:
switch (types[1]) {
case R_CHAR:
ret->f=((float (*)(char,char))fp)(args[0].c,args[1].c);
break;
case R_INT:
ret->f=((float (*)(char,int))fp)(args[0].c,args[1].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,float))fp)(args[0].c,args[1].f);
break;
case R_PTR:
ret->f=((float (*)(char,void*))fp)(args[0].c,args[1].p);
break;
}
break;
case R_INT:
switch (types[1]) {
case R_CHAR:
ret->f=((float (*)(int,char))fp)(args[0].i,args[1].c);
break;
case R_INT:
ret->f=((float (*)(int,int))fp)(args[0].i,args[1].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,float))fp)(args[0].i,args[1].f);
break;
case R_PTR:
ret->f=((float (*)(int,void*))fp)(args[0].i,args[1].p);
break;
}
break;
case R_FLOAT:
switch (types[1]) {
case R_CHAR:
ret->f=((float (*)(float,char))fp)(args[0].f,args[1].c);
break;
case R_INT:
ret->f=((float (*)(float,int))fp)(args[0].f,args[1].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,float))fp)(args[0].f,args[1].f);
break;
case R_PTR:
ret->f=((float (*)(float,void*))fp)(args[0].f,args[1].p);
break;
}
break;
case R_PTR:
switch (types[1]) {
case R_CHAR:
ret->f=((float (*)(void*,char))fp)(args[0].p,args[1].c);
break;
case R_INT:
ret->f=((float (*)(void*,int))fp)(args[0].p,args[1].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,float))fp)(args[0].p,args[1].f);
break;
case R_PTR:
ret->f=((float (*)(void*,void*))fp)(args[0].p,args[1].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[0]) {
case R_CHAR:
switch (types[1]) {
case R_CHAR:
ret->p=((void* (*)(char,char))fp)(args[0].c,args[1].c);
break;
case R_INT:
ret->p=((void* (*)(char,int))fp)(args[0].c,args[1].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,float))fp)(args[0].c,args[1].f);
break;
case R_PTR:
ret->p=((void* (*)(char,void*))fp)(args[0].c,args[1].p);
break;
}
break;
case R_INT:
switch (types[1]) {
case R_CHAR:
ret->p=((void* (*)(int,char))fp)(args[0].i,args[1].c);
break;
case R_INT:
ret->p=((void* (*)(int,int))fp)(args[0].i,args[1].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,float))fp)(args[0].i,args[1].f);
break;
case R_PTR:
ret->p=((void* (*)(int,void*))fp)(args[0].i,args[1].p);
break;
}
break;
case R_FLOAT:
switch (types[1]) {
case R_CHAR:
ret->p=((void* (*)(float,char))fp)(args[0].f,args[1].c);
break;
case R_INT:
ret->p=((void* (*)(float,int))fp)(args[0].f,args[1].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,float))fp)(args[0].f,args[1].f);
break;
case R_PTR:
ret->p=((void* (*)(float,void*))fp)(args[0].f,args[1].p);
break;
}
break;
case R_PTR:
switch (types[1]) {
case R_CHAR:
ret->p=((void* (*)(void*,char))fp)(args[0].p,args[1].c);
break;
case R_INT:
ret->p=((void* (*)(void*,int))fp)(args[0].p,args[1].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,float))fp)(args[0].p,args[1].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,void*))fp)(args[0].p,args[1].p);
break;
}
break;
}
break;
case R_VOID:
switch (types[0]) {
case R_CHAR:
switch (types[1]) {
case R_CHAR:
((void (*)(char,char))fp)(args[0].c,args[1].c);
break;
case R_INT:
((void (*)(char,int))fp)(args[0].c,args[1].i);
break;
case R_FLOAT:
((void (*)(char,float))fp)(args[0].c,args[1].f);
break;
case R_PTR:
((void (*)(char,void*))fp)(args[0].c,args[1].p);
break;
}
break;
case R_INT:
switch (types[1]) {
case R_CHAR:
((void (*)(int,char))fp)(args[0].i,args[1].c);
break;
case R_INT:
((void (*)(int,int))fp)(args[0].i,args[1].i);
break;
case R_FLOAT:
((void (*)(int,float))fp)(args[0].i,args[1].f);
break;
case R_PTR:
((void (*)(int,void*))fp)(args[0].i,args[1].p);
break;
}
break;
case R_FLOAT:
switch (types[1]) {
case R_CHAR:
((void (*)(float,char))fp)(args[0].f,args[1].c);
break;
case R_INT:
((void (*)(float,int))fp)(args[0].f,args[1].i);
break;
case R_FLOAT:
((void (*)(float,float))fp)(args[0].f,args[1].f);
break;
case R_PTR:
((void (*)(float,void*))fp)(args[0].f,args[1].p);
break;
}
break;
case R_PTR:
switch (types[1]) {
case R_CHAR:
((void (*)(void*,char))fp)(args[0].p,args[1].c);
break;
case R_INT:
((void (*)(void*,int))fp)(args[0].p,args[1].i);
break;
case R_FLOAT:
((void (*)(void*,float))fp)(args[0].p,args[1].f);
break;
case R_PTR:
((void (*)(void*,void*))fp)(args[0].p,args[1].p);
break;
}
break;
}
break;
} break;
case 3:
switch (rtype) {
case R_CHAR:
switch (types[0]) {
case R_CHAR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
ret->c=((char (*)(char,char,char))fp)(args[0].c,args[1].c,args[2].c);
break;
case R_INT:
ret->c=((char (*)(char,char,int))fp)(args[0].c,args[1].c,args[2].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,char,float))fp)(args[0].c,args[1].c,args[2].f);
break;
case R_PTR:
ret->c=((char (*)(char,char,void*))fp)(args[0].c,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
ret->c=((char (*)(char,int,char))fp)(args[0].c,args[1].i,args[2].c);
break;
case R_INT:
ret->c=((char (*)(char,int,int))fp)(args[0].c,args[1].i,args[2].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,int,float))fp)(args[0].c,args[1].i,args[2].f);
break;
case R_PTR:
ret->c=((char (*)(char,int,void*))fp)(args[0].c,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
ret->c=((char (*)(char,float,char))fp)(args[0].c,args[1].f,args[2].c);
break;
case R_INT:
ret->c=((char (*)(char,float,int))fp)(args[0].c,args[1].f,args[2].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,float,float))fp)(args[0].c,args[1].f,args[2].f);
break;
case R_PTR:
ret->c=((char (*)(char,float,void*))fp)(args[0].c,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
ret->c=((char (*)(char,void*,char))fp)(args[0].c,args[1].p,args[2].c);
break;
case R_INT:
ret->c=((char (*)(char,void*,int))fp)(args[0].c,args[1].p,args[2].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,void*,float))fp)(args[0].c,args[1].p,args[2].f);
break;
case R_PTR:
ret->c=((char (*)(char,void*,void*))fp)(args[0].c,args[1].p,args[2].p);
break;
}
break;
}
break;
case R_INT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
ret->c=((char (*)(int,char,char))fp)(args[0].i,args[1].c,args[2].c);
break;
case R_INT:
ret->c=((char (*)(int,char,int))fp)(args[0].i,args[1].c,args[2].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,char,float))fp)(args[0].i,args[1].c,args[2].f);
break;
case R_PTR:
ret->c=((char (*)(int,char,void*))fp)(args[0].i,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
ret->c=((char (*)(int,int,char))fp)(args[0].i,args[1].i,args[2].c);
break;
case R_INT:
ret->c=((char (*)(int,int,int))fp)(args[0].i,args[1].i,args[2].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,int,float))fp)(args[0].i,args[1].i,args[2].f);
break;
case R_PTR:
ret->c=((char (*)(int,int,void*))fp)(args[0].i,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
ret->c=((char (*)(int,float,char))fp)(args[0].i,args[1].f,args[2].c);
break;
case R_INT:
ret->c=((char (*)(int,float,int))fp)(args[0].i,args[1].f,args[2].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,float,float))fp)(args[0].i,args[1].f,args[2].f);
break;
case R_PTR:
ret->c=((char (*)(int,float,void*))fp)(args[0].i,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
ret->c=((char (*)(int,void*,char))fp)(args[0].i,args[1].p,args[2].c);
break;
case R_INT:
ret->c=((char (*)(int,void*,int))fp)(args[0].i,args[1].p,args[2].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,void*,float))fp)(args[0].i,args[1].p,args[2].f);
break;
case R_PTR:
ret->c=((char (*)(int,void*,void*))fp)(args[0].i,args[1].p,args[2].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
ret->c=((char (*)(float,char,char))fp)(args[0].f,args[1].c,args[2].c);
break;
case R_INT:
ret->c=((char (*)(float,char,int))fp)(args[0].f,args[1].c,args[2].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,char,float))fp)(args[0].f,args[1].c,args[2].f);
break;
case R_PTR:
ret->c=((char (*)(float,char,void*))fp)(args[0].f,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
ret->c=((char (*)(float,int,char))fp)(args[0].f,args[1].i,args[2].c);
break;
case R_INT:
ret->c=((char (*)(float,int,int))fp)(args[0].f,args[1].i,args[2].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,int,float))fp)(args[0].f,args[1].i,args[2].f);
break;
case R_PTR:
ret->c=((char (*)(float,int,void*))fp)(args[0].f,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
ret->c=((char (*)(float,float,char))fp)(args[0].f,args[1].f,args[2].c);
break;
case R_INT:
ret->c=((char (*)(float,float,int))fp)(args[0].f,args[1].f,args[2].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,float,float))fp)(args[0].f,args[1].f,args[2].f);
break;
case R_PTR:
ret->c=((char (*)(float,float,void*))fp)(args[0].f,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
ret->c=((char (*)(float,void*,char))fp)(args[0].f,args[1].p,args[2].c);
break;
case R_INT:
ret->c=((char (*)(float,void*,int))fp)(args[0].f,args[1].p,args[2].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,void*,float))fp)(args[0].f,args[1].p,args[2].f);
break;
case R_PTR:
ret->c=((char (*)(float,void*,void*))fp)(args[0].f,args[1].p,args[2].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
ret->c=((char (*)(void*,char,char))fp)(args[0].p,args[1].c,args[2].c);
break;
case R_INT:
ret->c=((char (*)(void*,char,int))fp)(args[0].p,args[1].c,args[2].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,char,float))fp)(args[0].p,args[1].c,args[2].f);
break;
case R_PTR:
ret->c=((char (*)(void*,char,void*))fp)(args[0].p,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
ret->c=((char (*)(void*,int,char))fp)(args[0].p,args[1].i,args[2].c);
break;
case R_INT:
ret->c=((char (*)(void*,int,int))fp)(args[0].p,args[1].i,args[2].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,int,float))fp)(args[0].p,args[1].i,args[2].f);
break;
case R_PTR:
ret->c=((char (*)(void*,int,void*))fp)(args[0].p,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
ret->c=((char (*)(void*,float,char))fp)(args[0].p,args[1].f,args[2].c);
break;
case R_INT:
ret->c=((char (*)(void*,float,int))fp)(args[0].p,args[1].f,args[2].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,float,float))fp)(args[0].p,args[1].f,args[2].f);
break;
case R_PTR:
ret->c=((char (*)(void*,float,void*))fp)(args[0].p,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
ret->c=((char (*)(void*,void*,char))fp)(args[0].p,args[1].p,args[2].c);
break;
case R_INT:
ret->c=((char (*)(void*,void*,int))fp)(args[0].p,args[1].p,args[2].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,void*,float))fp)(args[0].p,args[1].p,args[2].f);
break;
case R_PTR:
ret->c=((char (*)(void*,void*,void*))fp)(args[0].p,args[1].p,args[2].p);
break;
}
break;
}
break;
}
break;
case R_INT:
switch (types[0]) {
case R_CHAR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
ret->i=((int (*)(char,char,char))fp)(args[0].c,args[1].c,args[2].c);
break;
case R_INT:
ret->i=((int (*)(char,char,int))fp)(args[0].c,args[1].c,args[2].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,char,float))fp)(args[0].c,args[1].c,args[2].f);
break;
case R_PTR:
ret->i=((int (*)(char,char,void*))fp)(args[0].c,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
ret->i=((int (*)(char,int,char))fp)(args[0].c,args[1].i,args[2].c);
break;
case R_INT:
ret->i=((int (*)(char,int,int))fp)(args[0].c,args[1].i,args[2].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,int,float))fp)(args[0].c,args[1].i,args[2].f);
break;
case R_PTR:
ret->i=((int (*)(char,int,void*))fp)(args[0].c,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
ret->i=((int (*)(char,float,char))fp)(args[0].c,args[1].f,args[2].c);
break;
case R_INT:
ret->i=((int (*)(char,float,int))fp)(args[0].c,args[1].f,args[2].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,float,float))fp)(args[0].c,args[1].f,args[2].f);
break;
case R_PTR:
ret->i=((int (*)(char,float,void*))fp)(args[0].c,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
ret->i=((int (*)(char,void*,char))fp)(args[0].c,args[1].p,args[2].c);
break;
case R_INT:
ret->i=((int (*)(char,void*,int))fp)(args[0].c,args[1].p,args[2].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,void*,float))fp)(args[0].c,args[1].p,args[2].f);
break;
case R_PTR:
ret->i=((int (*)(char,void*,void*))fp)(args[0].c,args[1].p,args[2].p);
break;
}
break;
}
break;
case R_INT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
ret->i=((int (*)(int,char,char))fp)(args[0].i,args[1].c,args[2].c);
break;
case R_INT:
ret->i=((int (*)(int,char,int))fp)(args[0].i,args[1].c,args[2].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,char,float))fp)(args[0].i,args[1].c,args[2].f);
break;
case R_PTR:
ret->i=((int (*)(int,char,void*))fp)(args[0].i,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
ret->i=((int (*)(int,int,char))fp)(args[0].i,args[1].i,args[2].c);
break;
case R_INT:
ret->i=((int (*)(int,int,int))fp)(args[0].i,args[1].i,args[2].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,int,float))fp)(args[0].i,args[1].i,args[2].f);
break;
case R_PTR:
ret->i=((int (*)(int,int,void*))fp)(args[0].i,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
ret->i=((int (*)(int,float,char))fp)(args[0].i,args[1].f,args[2].c);
break;
case R_INT:
ret->i=((int (*)(int,float,int))fp)(args[0].i,args[1].f,args[2].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,float,float))fp)(args[0].i,args[1].f,args[2].f);
break;
case R_PTR:
ret->i=((int (*)(int,float,void*))fp)(args[0].i,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
ret->i=((int (*)(int,void*,char))fp)(args[0].i,args[1].p,args[2].c);
break;
case R_INT:
ret->i=((int (*)(int,void*,int))fp)(args[0].i,args[1].p,args[2].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,void*,float))fp)(args[0].i,args[1].p,args[2].f);
break;
case R_PTR:
ret->i=((int (*)(int,void*,void*))fp)(args[0].i,args[1].p,args[2].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
ret->i=((int (*)(float,char,char))fp)(args[0].f,args[1].c,args[2].c);
break;
case R_INT:
ret->i=((int (*)(float,char,int))fp)(args[0].f,args[1].c,args[2].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,char,float))fp)(args[0].f,args[1].c,args[2].f);
break;
case R_PTR:
ret->i=((int (*)(float,char,void*))fp)(args[0].f,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
ret->i=((int (*)(float,int,char))fp)(args[0].f,args[1].i,args[2].c);
break;
case R_INT:
ret->i=((int (*)(float,int,int))fp)(args[0].f,args[1].i,args[2].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,int,float))fp)(args[0].f,args[1].i,args[2].f);
break;
case R_PTR:
ret->i=((int (*)(float,int,void*))fp)(args[0].f,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
ret->i=((int (*)(float,float,char))fp)(args[0].f,args[1].f,args[2].c);
break;
case R_INT:
ret->i=((int (*)(float,float,int))fp)(args[0].f,args[1].f,args[2].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,float,float))fp)(args[0].f,args[1].f,args[2].f);
break;
case R_PTR:
ret->i=((int (*)(float,float,void*))fp)(args[0].f,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
ret->i=((int (*)(float,void*,char))fp)(args[0].f,args[1].p,args[2].c);
break;
case R_INT:
ret->i=((int (*)(float,void*,int))fp)(args[0].f,args[1].p,args[2].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,void*,float))fp)(args[0].f,args[1].p,args[2].f);
break;
case R_PTR:
ret->i=((int (*)(float,void*,void*))fp)(args[0].f,args[1].p,args[2].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
ret->i=((int (*)(void*,char,char))fp)(args[0].p,args[1].c,args[2].c);
break;
case R_INT:
ret->i=((int (*)(void*,char,int))fp)(args[0].p,args[1].c,args[2].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,char,float))fp)(args[0].p,args[1].c,args[2].f);
break;
case R_PTR:
ret->i=((int (*)(void*,char,void*))fp)(args[0].p,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
ret->i=((int (*)(void*,int,char))fp)(args[0].p,args[1].i,args[2].c);
break;
case R_INT:
ret->i=((int (*)(void*,int,int))fp)(args[0].p,args[1].i,args[2].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,int,float))fp)(args[0].p,args[1].i,args[2].f);
break;
case R_PTR:
ret->i=((int (*)(void*,int,void*))fp)(args[0].p,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
ret->i=((int (*)(void*,float,char))fp)(args[0].p,args[1].f,args[2].c);
break;
case R_INT:
ret->i=((int (*)(void*,float,int))fp)(args[0].p,args[1].f,args[2].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,float,float))fp)(args[0].p,args[1].f,args[2].f);
break;
case R_PTR:
ret->i=((int (*)(void*,float,void*))fp)(args[0].p,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
ret->i=((int (*)(void*,void*,char))fp)(args[0].p,args[1].p,args[2].c);
break;
case R_INT:
ret->i=((int (*)(void*,void*,int))fp)(args[0].p,args[1].p,args[2].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,void*,float))fp)(args[0].p,args[1].p,args[2].f);
break;
case R_PTR:
ret->i=((int (*)(void*,void*,void*))fp)(args[0].p,args[1].p,args[2].p);
break;
}
break;
}
break;
}
break;
case R_FLOAT:
switch (types[0]) {
case R_CHAR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
ret->f=((float (*)(char,char,char))fp)(args[0].c,args[1].c,args[2].c);
break;
case R_INT:
ret->f=((float (*)(char,char,int))fp)(args[0].c,args[1].c,args[2].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,char,float))fp)(args[0].c,args[1].c,args[2].f);
break;
case R_PTR:
ret->f=((float (*)(char,char,void*))fp)(args[0].c,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
ret->f=((float (*)(char,int,char))fp)(args[0].c,args[1].i,args[2].c);
break;
case R_INT:
ret->f=((float (*)(char,int,int))fp)(args[0].c,args[1].i,args[2].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,int,float))fp)(args[0].c,args[1].i,args[2].f);
break;
case R_PTR:
ret->f=((float (*)(char,int,void*))fp)(args[0].c,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
ret->f=((float (*)(char,float,char))fp)(args[0].c,args[1].f,args[2].c);
break;
case R_INT:
ret->f=((float (*)(char,float,int))fp)(args[0].c,args[1].f,args[2].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,float,float))fp)(args[0].c,args[1].f,args[2].f);
break;
case R_PTR:
ret->f=((float (*)(char,float,void*))fp)(args[0].c,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
ret->f=((float (*)(char,void*,char))fp)(args[0].c,args[1].p,args[2].c);
break;
case R_INT:
ret->f=((float (*)(char,void*,int))fp)(args[0].c,args[1].p,args[2].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,void*,float))fp)(args[0].c,args[1].p,args[2].f);
break;
case R_PTR:
ret->f=((float (*)(char,void*,void*))fp)(args[0].c,args[1].p,args[2].p);
break;
}
break;
}
break;
case R_INT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
ret->f=((float (*)(int,char,char))fp)(args[0].i,args[1].c,args[2].c);
break;
case R_INT:
ret->f=((float (*)(int,char,int))fp)(args[0].i,args[1].c,args[2].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,char,float))fp)(args[0].i,args[1].c,args[2].f);
break;
case R_PTR:
ret->f=((float (*)(int,char,void*))fp)(args[0].i,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
ret->f=((float (*)(int,int,char))fp)(args[0].i,args[1].i,args[2].c);
break;
case R_INT:
ret->f=((float (*)(int,int,int))fp)(args[0].i,args[1].i,args[2].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,int,float))fp)(args[0].i,args[1].i,args[2].f);
break;
case R_PTR:
ret->f=((float (*)(int,int,void*))fp)(args[0].i,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
ret->f=((float (*)(int,float,char))fp)(args[0].i,args[1].f,args[2].c);
break;
case R_INT:
ret->f=((float (*)(int,float,int))fp)(args[0].i,args[1].f,args[2].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,float,float))fp)(args[0].i,args[1].f,args[2].f);
break;
case R_PTR:
ret->f=((float (*)(int,float,void*))fp)(args[0].i,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
ret->f=((float (*)(int,void*,char))fp)(args[0].i,args[1].p,args[2].c);
break;
case R_INT:
ret->f=((float (*)(int,void*,int))fp)(args[0].i,args[1].p,args[2].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,void*,float))fp)(args[0].i,args[1].p,args[2].f);
break;
case R_PTR:
ret->f=((float (*)(int,void*,void*))fp)(args[0].i,args[1].p,args[2].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
ret->f=((float (*)(float,char,char))fp)(args[0].f,args[1].c,args[2].c);
break;
case R_INT:
ret->f=((float (*)(float,char,int))fp)(args[0].f,args[1].c,args[2].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,char,float))fp)(args[0].f,args[1].c,args[2].f);
break;
case R_PTR:
ret->f=((float (*)(float,char,void*))fp)(args[0].f,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
ret->f=((float (*)(float,int,char))fp)(args[0].f,args[1].i,args[2].c);
break;
case R_INT:
ret->f=((float (*)(float,int,int))fp)(args[0].f,args[1].i,args[2].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,int,float))fp)(args[0].f,args[1].i,args[2].f);
break;
case R_PTR:
ret->f=((float (*)(float,int,void*))fp)(args[0].f,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
ret->f=((float (*)(float,float,char))fp)(args[0].f,args[1].f,args[2].c);
break;
case R_INT:
ret->f=((float (*)(float,float,int))fp)(args[0].f,args[1].f,args[2].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,float,float))fp)(args[0].f,args[1].f,args[2].f);
break;
case R_PTR:
ret->f=((float (*)(float,float,void*))fp)(args[0].f,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
ret->f=((float (*)(float,void*,char))fp)(args[0].f,args[1].p,args[2].c);
break;
case R_INT:
ret->f=((float (*)(float,void*,int))fp)(args[0].f,args[1].p,args[2].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,void*,float))fp)(args[0].f,args[1].p,args[2].f);
break;
case R_PTR:
ret->f=((float (*)(float,void*,void*))fp)(args[0].f,args[1].p,args[2].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
ret->f=((float (*)(void*,char,char))fp)(args[0].p,args[1].c,args[2].c);
break;
case R_INT:
ret->f=((float (*)(void*,char,int))fp)(args[0].p,args[1].c,args[2].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,char,float))fp)(args[0].p,args[1].c,args[2].f);
break;
case R_PTR:
ret->f=((float (*)(void*,char,void*))fp)(args[0].p,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
ret->f=((float (*)(void*,int,char))fp)(args[0].p,args[1].i,args[2].c);
break;
case R_INT:
ret->f=((float (*)(void*,int,int))fp)(args[0].p,args[1].i,args[2].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,int,float))fp)(args[0].p,args[1].i,args[2].f);
break;
case R_PTR:
ret->f=((float (*)(void*,int,void*))fp)(args[0].p,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
ret->f=((float (*)(void*,float,char))fp)(args[0].p,args[1].f,args[2].c);
break;
case R_INT:
ret->f=((float (*)(void*,float,int))fp)(args[0].p,args[1].f,args[2].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,float,float))fp)(args[0].p,args[1].f,args[2].f);
break;
case R_PTR:
ret->f=((float (*)(void*,float,void*))fp)(args[0].p,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
ret->f=((float (*)(void*,void*,char))fp)(args[0].p,args[1].p,args[2].c);
break;
case R_INT:
ret->f=((float (*)(void*,void*,int))fp)(args[0].p,args[1].p,args[2].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,void*,float))fp)(args[0].p,args[1].p,args[2].f);
break;
case R_PTR:
ret->f=((float (*)(void*,void*,void*))fp)(args[0].p,args[1].p,args[2].p);
break;
}
break;
}
break;
}
break;
case R_PTR:
switch (types[0]) {
case R_CHAR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
ret->p=((void* (*)(char,char,char))fp)(args[0].c,args[1].c,args[2].c);
break;
case R_INT:
ret->p=((void* (*)(char,char,int))fp)(args[0].c,args[1].c,args[2].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,char,float))fp)(args[0].c,args[1].c,args[2].f);
break;
case R_PTR:
ret->p=((void* (*)(char,char,void*))fp)(args[0].c,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
ret->p=((void* (*)(char,int,char))fp)(args[0].c,args[1].i,args[2].c);
break;
case R_INT:
ret->p=((void* (*)(char,int,int))fp)(args[0].c,args[1].i,args[2].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,int,float))fp)(args[0].c,args[1].i,args[2].f);
break;
case R_PTR:
ret->p=((void* (*)(char,int,void*))fp)(args[0].c,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
ret->p=((void* (*)(char,float,char))fp)(args[0].c,args[1].f,args[2].c);
break;
case R_INT:
ret->p=((void* (*)(char,float,int))fp)(args[0].c,args[1].f,args[2].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,float,float))fp)(args[0].c,args[1].f,args[2].f);
break;
case R_PTR:
ret->p=((void* (*)(char,float,void*))fp)(args[0].c,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
ret->p=((void* (*)(char,void*,char))fp)(args[0].c,args[1].p,args[2].c);
break;
case R_INT:
ret->p=((void* (*)(char,void*,int))fp)(args[0].c,args[1].p,args[2].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,void*,float))fp)(args[0].c,args[1].p,args[2].f);
break;
case R_PTR:
ret->p=((void* (*)(char,void*,void*))fp)(args[0].c,args[1].p,args[2].p);
break;
}
break;
}
break;
case R_INT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
ret->p=((void* (*)(int,char,char))fp)(args[0].i,args[1].c,args[2].c);
break;
case R_INT:
ret->p=((void* (*)(int,char,int))fp)(args[0].i,args[1].c,args[2].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,char,float))fp)(args[0].i,args[1].c,args[2].f);
break;
case R_PTR:
ret->p=((void* (*)(int,char,void*))fp)(args[0].i,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
ret->p=((void* (*)(int,int,char))fp)(args[0].i,args[1].i,args[2].c);
break;
case R_INT:
ret->p=((void* (*)(int,int,int))fp)(args[0].i,args[1].i,args[2].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,int,float))fp)(args[0].i,args[1].i,args[2].f);
break;
case R_PTR:
ret->p=((void* (*)(int,int,void*))fp)(args[0].i,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
ret->p=((void* (*)(int,float,char))fp)(args[0].i,args[1].f,args[2].c);
break;
case R_INT:
ret->p=((void* (*)(int,float,int))fp)(args[0].i,args[1].f,args[2].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,float,float))fp)(args[0].i,args[1].f,args[2].f);
break;
case R_PTR:
ret->p=((void* (*)(int,float,void*))fp)(args[0].i,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
ret->p=((void* (*)(int,void*,char))fp)(args[0].i,args[1].p,args[2].c);
break;
case R_INT:
ret->p=((void* (*)(int,void*,int))fp)(args[0].i,args[1].p,args[2].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,void*,float))fp)(args[0].i,args[1].p,args[2].f);
break;
case R_PTR:
ret->p=((void* (*)(int,void*,void*))fp)(args[0].i,args[1].p,args[2].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
ret->p=((void* (*)(float,char,char))fp)(args[0].f,args[1].c,args[2].c);
break;
case R_INT:
ret->p=((void* (*)(float,char,int))fp)(args[0].f,args[1].c,args[2].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,char,float))fp)(args[0].f,args[1].c,args[2].f);
break;
case R_PTR:
ret->p=((void* (*)(float,char,void*))fp)(args[0].f,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
ret->p=((void* (*)(float,int,char))fp)(args[0].f,args[1].i,args[2].c);
break;
case R_INT:
ret->p=((void* (*)(float,int,int))fp)(args[0].f,args[1].i,args[2].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,int,float))fp)(args[0].f,args[1].i,args[2].f);
break;
case R_PTR:
ret->p=((void* (*)(float,int,void*))fp)(args[0].f,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
ret->p=((void* (*)(float,float,char))fp)(args[0].f,args[1].f,args[2].c);
break;
case R_INT:
ret->p=((void* (*)(float,float,int))fp)(args[0].f,args[1].f,args[2].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,float,float))fp)(args[0].f,args[1].f,args[2].f);
break;
case R_PTR:
ret->p=((void* (*)(float,float,void*))fp)(args[0].f,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
ret->p=((void* (*)(float,void*,char))fp)(args[0].f,args[1].p,args[2].c);
break;
case R_INT:
ret->p=((void* (*)(float,void*,int))fp)(args[0].f,args[1].p,args[2].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,void*,float))fp)(args[0].f,args[1].p,args[2].f);
break;
case R_PTR:
ret->p=((void* (*)(float,void*,void*))fp)(args[0].f,args[1].p,args[2].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
ret->p=((void* (*)(void*,char,char))fp)(args[0].p,args[1].c,args[2].c);
break;
case R_INT:
ret->p=((void* (*)(void*,char,int))fp)(args[0].p,args[1].c,args[2].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,char,float))fp)(args[0].p,args[1].c,args[2].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,char,void*))fp)(args[0].p,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
ret->p=((void* (*)(void*,int,char))fp)(args[0].p,args[1].i,args[2].c);
break;
case R_INT:
ret->p=((void* (*)(void*,int,int))fp)(args[0].p,args[1].i,args[2].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,int,float))fp)(args[0].p,args[1].i,args[2].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,int,void*))fp)(args[0].p,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
ret->p=((void* (*)(void*,float,char))fp)(args[0].p,args[1].f,args[2].c);
break;
case R_INT:
ret->p=((void* (*)(void*,float,int))fp)(args[0].p,args[1].f,args[2].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,float,float))fp)(args[0].p,args[1].f,args[2].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,float,void*))fp)(args[0].p,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
ret->p=((void* (*)(void*,void*,char))fp)(args[0].p,args[1].p,args[2].c);
break;
case R_INT:
ret->p=((void* (*)(void*,void*,int))fp)(args[0].p,args[1].p,args[2].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,void*,float))fp)(args[0].p,args[1].p,args[2].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,void*,void*))fp)(args[0].p,args[1].p,args[2].p);
break;
}
break;
}
break;
}
break;
case R_VOID:
switch (types[0]) {
case R_CHAR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
((void (*)(char,char,char))fp)(args[0].c,args[1].c,args[2].c);
break;
case R_INT:
((void (*)(char,char,int))fp)(args[0].c,args[1].c,args[2].i);
break;
case R_FLOAT:
((void (*)(char,char,float))fp)(args[0].c,args[1].c,args[2].f);
break;
case R_PTR:
((void (*)(char,char,void*))fp)(args[0].c,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
((void (*)(char,int,char))fp)(args[0].c,args[1].i,args[2].c);
break;
case R_INT:
((void (*)(char,int,int))fp)(args[0].c,args[1].i,args[2].i);
break;
case R_FLOAT:
((void (*)(char,int,float))fp)(args[0].c,args[1].i,args[2].f);
break;
case R_PTR:
((void (*)(char,int,void*))fp)(args[0].c,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
((void (*)(char,float,char))fp)(args[0].c,args[1].f,args[2].c);
break;
case R_INT:
((void (*)(char,float,int))fp)(args[0].c,args[1].f,args[2].i);
break;
case R_FLOAT:
((void (*)(char,float,float))fp)(args[0].c,args[1].f,args[2].f);
break;
case R_PTR:
((void (*)(char,float,void*))fp)(args[0].c,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
((void (*)(char,void*,char))fp)(args[0].c,args[1].p,args[2].c);
break;
case R_INT:
((void (*)(char,void*,int))fp)(args[0].c,args[1].p,args[2].i);
break;
case R_FLOAT:
((void (*)(char,void*,float))fp)(args[0].c,args[1].p,args[2].f);
break;
case R_PTR:
((void (*)(char,void*,void*))fp)(args[0].c,args[1].p,args[2].p);
break;
}
break;
}
break;
case R_INT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
((void (*)(int,char,char))fp)(args[0].i,args[1].c,args[2].c);
break;
case R_INT:
((void (*)(int,char,int))fp)(args[0].i,args[1].c,args[2].i);
break;
case R_FLOAT:
((void (*)(int,char,float))fp)(args[0].i,args[1].c,args[2].f);
break;
case R_PTR:
((void (*)(int,char,void*))fp)(args[0].i,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
((void (*)(int,int,char))fp)(args[0].i,args[1].i,args[2].c);
break;
case R_INT:
((void (*)(int,int,int))fp)(args[0].i,args[1].i,args[2].i);
break;
case R_FLOAT:
((void (*)(int,int,float))fp)(args[0].i,args[1].i,args[2].f);
break;
case R_PTR:
((void (*)(int,int,void*))fp)(args[0].i,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
((void (*)(int,float,char))fp)(args[0].i,args[1].f,args[2].c);
break;
case R_INT:
((void (*)(int,float,int))fp)(args[0].i,args[1].f,args[2].i);
break;
case R_FLOAT:
((void (*)(int,float,float))fp)(args[0].i,args[1].f,args[2].f);
break;
case R_PTR:
((void (*)(int,float,void*))fp)(args[0].i,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
((void (*)(int,void*,char))fp)(args[0].i,args[1].p,args[2].c);
break;
case R_INT:
((void (*)(int,void*,int))fp)(args[0].i,args[1].p,args[2].i);
break;
case R_FLOAT:
((void (*)(int,void*,float))fp)(args[0].i,args[1].p,args[2].f);
break;
case R_PTR:
((void (*)(int,void*,void*))fp)(args[0].i,args[1].p,args[2].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
((void (*)(float,char,char))fp)(args[0].f,args[1].c,args[2].c);
break;
case R_INT:
((void (*)(float,char,int))fp)(args[0].f,args[1].c,args[2].i);
break;
case R_FLOAT:
((void (*)(float,char,float))fp)(args[0].f,args[1].c,args[2].f);
break;
case R_PTR:
((void (*)(float,char,void*))fp)(args[0].f,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
((void (*)(float,int,char))fp)(args[0].f,args[1].i,args[2].c);
break;
case R_INT:
((void (*)(float,int,int))fp)(args[0].f,args[1].i,args[2].i);
break;
case R_FLOAT:
((void (*)(float,int,float))fp)(args[0].f,args[1].i,args[2].f);
break;
case R_PTR:
((void (*)(float,int,void*))fp)(args[0].f,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
((void (*)(float,float,char))fp)(args[0].f,args[1].f,args[2].c);
break;
case R_INT:
((void (*)(float,float,int))fp)(args[0].f,args[1].f,args[2].i);
break;
case R_FLOAT:
((void (*)(float,float,float))fp)(args[0].f,args[1].f,args[2].f);
break;
case R_PTR:
((void (*)(float,float,void*))fp)(args[0].f,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
((void (*)(float,void*,char))fp)(args[0].f,args[1].p,args[2].c);
break;
case R_INT:
((void (*)(float,void*,int))fp)(args[0].f,args[1].p,args[2].i);
break;
case R_FLOAT:
((void (*)(float,void*,float))fp)(args[0].f,args[1].p,args[2].f);
break;
case R_PTR:
((void (*)(float,void*,void*))fp)(args[0].f,args[1].p,args[2].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
((void (*)(void*,char,char))fp)(args[0].p,args[1].c,args[2].c);
break;
case R_INT:
((void (*)(void*,char,int))fp)(args[0].p,args[1].c,args[2].i);
break;
case R_FLOAT:
((void (*)(void*,char,float))fp)(args[0].p,args[1].c,args[2].f);
break;
case R_PTR:
((void (*)(void*,char,void*))fp)(args[0].p,args[1].c,args[2].p);
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
((void (*)(void*,int,char))fp)(args[0].p,args[1].i,args[2].c);
break;
case R_INT:
((void (*)(void*,int,int))fp)(args[0].p,args[1].i,args[2].i);
break;
case R_FLOAT:
((void (*)(void*,int,float))fp)(args[0].p,args[1].i,args[2].f);
break;
case R_PTR:
((void (*)(void*,int,void*))fp)(args[0].p,args[1].i,args[2].p);
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
((void (*)(void*,float,char))fp)(args[0].p,args[1].f,args[2].c);
break;
case R_INT:
((void (*)(void*,float,int))fp)(args[0].p,args[1].f,args[2].i);
break;
case R_FLOAT:
((void (*)(void*,float,float))fp)(args[0].p,args[1].f,args[2].f);
break;
case R_PTR:
((void (*)(void*,float,void*))fp)(args[0].p,args[1].f,args[2].p);
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
((void (*)(void*,void*,char))fp)(args[0].p,args[1].p,args[2].c);
break;
case R_INT:
((void (*)(void*,void*,int))fp)(args[0].p,args[1].p,args[2].i);
break;
case R_FLOAT:
((void (*)(void*,void*,float))fp)(args[0].p,args[1].p,args[2].f);
break;
case R_PTR:
((void (*)(void*,void*,void*))fp)(args[0].p,args[1].p,args[2].p);
break;
}
break;
}
break;
}
break;
} break;
case 4:
switch (rtype) {
case R_CHAR:
switch (types[0]) {
case R_CHAR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(char,char,char,char))fp)(args[0].c,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
ret->c=((char (*)(char,char,char,int))fp)(args[0].c,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,char,char,float))fp)(args[0].c,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(char,char,char,void*))fp)(args[0].c,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(char,char,int,char))fp)(args[0].c,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
ret->c=((char (*)(char,char,int,int))fp)(args[0].c,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,char,int,float))fp)(args[0].c,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(char,char,int,void*))fp)(args[0].c,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(char,char,float,char))fp)(args[0].c,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
ret->c=((char (*)(char,char,float,int))fp)(args[0].c,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,char,float,float))fp)(args[0].c,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(char,char,float,void*))fp)(args[0].c,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(char,char,void*,char))fp)(args[0].c,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
ret->c=((char (*)(char,char,void*,int))fp)(args[0].c,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,char,void*,float))fp)(args[0].c,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(char,char,void*,void*))fp)(args[0].c,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(char,int,char,char))fp)(args[0].c,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
ret->c=((char (*)(char,int,char,int))fp)(args[0].c,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,int,char,float))fp)(args[0].c,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(char,int,char,void*))fp)(args[0].c,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(char,int,int,char))fp)(args[0].c,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
ret->c=((char (*)(char,int,int,int))fp)(args[0].c,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,int,int,float))fp)(args[0].c,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(char,int,int,void*))fp)(args[0].c,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(char,int,float,char))fp)(args[0].c,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
ret->c=((char (*)(char,int,float,int))fp)(args[0].c,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,int,float,float))fp)(args[0].c,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(char,int,float,void*))fp)(args[0].c,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(char,int,void*,char))fp)(args[0].c,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
ret->c=((char (*)(char,int,void*,int))fp)(args[0].c,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,int,void*,float))fp)(args[0].c,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(char,int,void*,void*))fp)(args[0].c,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(char,float,char,char))fp)(args[0].c,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
ret->c=((char (*)(char,float,char,int))fp)(args[0].c,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,float,char,float))fp)(args[0].c,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(char,float,char,void*))fp)(args[0].c,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(char,float,int,char))fp)(args[0].c,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
ret->c=((char (*)(char,float,int,int))fp)(args[0].c,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,float,int,float))fp)(args[0].c,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(char,float,int,void*))fp)(args[0].c,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(char,float,float,char))fp)(args[0].c,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
ret->c=((char (*)(char,float,float,int))fp)(args[0].c,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,float,float,float))fp)(args[0].c,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(char,float,float,void*))fp)(args[0].c,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(char,float,void*,char))fp)(args[0].c,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
ret->c=((char (*)(char,float,void*,int))fp)(args[0].c,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,float,void*,float))fp)(args[0].c,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(char,float,void*,void*))fp)(args[0].c,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(char,void*,char,char))fp)(args[0].c,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
ret->c=((char (*)(char,void*,char,int))fp)(args[0].c,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,void*,char,float))fp)(args[0].c,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(char,void*,char,void*))fp)(args[0].c,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(char,void*,int,char))fp)(args[0].c,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
ret->c=((char (*)(char,void*,int,int))fp)(args[0].c,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,void*,int,float))fp)(args[0].c,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(char,void*,int,void*))fp)(args[0].c,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(char,void*,float,char))fp)(args[0].c,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
ret->c=((char (*)(char,void*,float,int))fp)(args[0].c,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,void*,float,float))fp)(args[0].c,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(char,void*,float,void*))fp)(args[0].c,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(char,void*,void*,char))fp)(args[0].c,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
ret->c=((char (*)(char,void*,void*,int))fp)(args[0].c,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(char,void*,void*,float))fp)(args[0].c,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(char,void*,void*,void*))fp)(args[0].c,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
case R_INT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(int,char,char,char))fp)(args[0].i,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
ret->c=((char (*)(int,char,char,int))fp)(args[0].i,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,char,char,float))fp)(args[0].i,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(int,char,char,void*))fp)(args[0].i,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(int,char,int,char))fp)(args[0].i,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
ret->c=((char (*)(int,char,int,int))fp)(args[0].i,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,char,int,float))fp)(args[0].i,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(int,char,int,void*))fp)(args[0].i,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(int,char,float,char))fp)(args[0].i,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
ret->c=((char (*)(int,char,float,int))fp)(args[0].i,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,char,float,float))fp)(args[0].i,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(int,char,float,void*))fp)(args[0].i,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(int,char,void*,char))fp)(args[0].i,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
ret->c=((char (*)(int,char,void*,int))fp)(args[0].i,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,char,void*,float))fp)(args[0].i,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(int,char,void*,void*))fp)(args[0].i,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(int,int,char,char))fp)(args[0].i,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
ret->c=((char (*)(int,int,char,int))fp)(args[0].i,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,int,char,float))fp)(args[0].i,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(int,int,char,void*))fp)(args[0].i,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(int,int,int,char))fp)(args[0].i,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
ret->c=((char (*)(int,int,int,int))fp)(args[0].i,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,int,int,float))fp)(args[0].i,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(int,int,int,void*))fp)(args[0].i,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(int,int,float,char))fp)(args[0].i,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
ret->c=((char (*)(int,int,float,int))fp)(args[0].i,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,int,float,float))fp)(args[0].i,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(int,int,float,void*))fp)(args[0].i,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(int,int,void*,char))fp)(args[0].i,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
ret->c=((char (*)(int,int,void*,int))fp)(args[0].i,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,int,void*,float))fp)(args[0].i,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(int,int,void*,void*))fp)(args[0].i,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(int,float,char,char))fp)(args[0].i,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
ret->c=((char (*)(int,float,char,int))fp)(args[0].i,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,float,char,float))fp)(args[0].i,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(int,float,char,void*))fp)(args[0].i,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(int,float,int,char))fp)(args[0].i,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
ret->c=((char (*)(int,float,int,int))fp)(args[0].i,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,float,int,float))fp)(args[0].i,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(int,float,int,void*))fp)(args[0].i,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(int,float,float,char))fp)(args[0].i,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
ret->c=((char (*)(int,float,float,int))fp)(args[0].i,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,float,float,float))fp)(args[0].i,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(int,float,float,void*))fp)(args[0].i,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(int,float,void*,char))fp)(args[0].i,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
ret->c=((char (*)(int,float,void*,int))fp)(args[0].i,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,float,void*,float))fp)(args[0].i,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(int,float,void*,void*))fp)(args[0].i,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(int,void*,char,char))fp)(args[0].i,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
ret->c=((char (*)(int,void*,char,int))fp)(args[0].i,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,void*,char,float))fp)(args[0].i,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(int,void*,char,void*))fp)(args[0].i,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(int,void*,int,char))fp)(args[0].i,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
ret->c=((char (*)(int,void*,int,int))fp)(args[0].i,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,void*,int,float))fp)(args[0].i,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(int,void*,int,void*))fp)(args[0].i,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(int,void*,float,char))fp)(args[0].i,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
ret->c=((char (*)(int,void*,float,int))fp)(args[0].i,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,void*,float,float))fp)(args[0].i,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(int,void*,float,void*))fp)(args[0].i,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(int,void*,void*,char))fp)(args[0].i,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
ret->c=((char (*)(int,void*,void*,int))fp)(args[0].i,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(int,void*,void*,float))fp)(args[0].i,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(int,void*,void*,void*))fp)(args[0].i,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
case R_FLOAT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(float,char,char,char))fp)(args[0].f,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
ret->c=((char (*)(float,char,char,int))fp)(args[0].f,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,char,char,float))fp)(args[0].f,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(float,char,char,void*))fp)(args[0].f,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(float,char,int,char))fp)(args[0].f,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
ret->c=((char (*)(float,char,int,int))fp)(args[0].f,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,char,int,float))fp)(args[0].f,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(float,char,int,void*))fp)(args[0].f,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(float,char,float,char))fp)(args[0].f,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
ret->c=((char (*)(float,char,float,int))fp)(args[0].f,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,char,float,float))fp)(args[0].f,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(float,char,float,void*))fp)(args[0].f,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(float,char,void*,char))fp)(args[0].f,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
ret->c=((char (*)(float,char,void*,int))fp)(args[0].f,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,char,void*,float))fp)(args[0].f,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(float,char,void*,void*))fp)(args[0].f,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(float,int,char,char))fp)(args[0].f,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
ret->c=((char (*)(float,int,char,int))fp)(args[0].f,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,int,char,float))fp)(args[0].f,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(float,int,char,void*))fp)(args[0].f,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(float,int,int,char))fp)(args[0].f,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
ret->c=((char (*)(float,int,int,int))fp)(args[0].f,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,int,int,float))fp)(args[0].f,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(float,int,int,void*))fp)(args[0].f,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(float,int,float,char))fp)(args[0].f,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
ret->c=((char (*)(float,int,float,int))fp)(args[0].f,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,int,float,float))fp)(args[0].f,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(float,int,float,void*))fp)(args[0].f,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(float,int,void*,char))fp)(args[0].f,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
ret->c=((char (*)(float,int,void*,int))fp)(args[0].f,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,int,void*,float))fp)(args[0].f,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(float,int,void*,void*))fp)(args[0].f,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(float,float,char,char))fp)(args[0].f,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
ret->c=((char (*)(float,float,char,int))fp)(args[0].f,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,float,char,float))fp)(args[0].f,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(float,float,char,void*))fp)(args[0].f,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(float,float,int,char))fp)(args[0].f,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
ret->c=((char (*)(float,float,int,int))fp)(args[0].f,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,float,int,float))fp)(args[0].f,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(float,float,int,void*))fp)(args[0].f,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(float,float,float,char))fp)(args[0].f,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
ret->c=((char (*)(float,float,float,int))fp)(args[0].f,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,float,float,float))fp)(args[0].f,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(float,float,float,void*))fp)(args[0].f,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(float,float,void*,char))fp)(args[0].f,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
ret->c=((char (*)(float,float,void*,int))fp)(args[0].f,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,float,void*,float))fp)(args[0].f,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(float,float,void*,void*))fp)(args[0].f,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(float,void*,char,char))fp)(args[0].f,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
ret->c=((char (*)(float,void*,char,int))fp)(args[0].f,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,void*,char,float))fp)(args[0].f,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(float,void*,char,void*))fp)(args[0].f,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(float,void*,int,char))fp)(args[0].f,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
ret->c=((char (*)(float,void*,int,int))fp)(args[0].f,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,void*,int,float))fp)(args[0].f,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(float,void*,int,void*))fp)(args[0].f,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(float,void*,float,char))fp)(args[0].f,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
ret->c=((char (*)(float,void*,float,int))fp)(args[0].f,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,void*,float,float))fp)(args[0].f,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(float,void*,float,void*))fp)(args[0].f,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(float,void*,void*,char))fp)(args[0].f,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
ret->c=((char (*)(float,void*,void*,int))fp)(args[0].f,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(float,void*,void*,float))fp)(args[0].f,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(float,void*,void*,void*))fp)(args[0].f,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
case R_PTR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(void*,char,char,char))fp)(args[0].p,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
ret->c=((char (*)(void*,char,char,int))fp)(args[0].p,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,char,char,float))fp)(args[0].p,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(void*,char,char,void*))fp)(args[0].p,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(void*,char,int,char))fp)(args[0].p,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
ret->c=((char (*)(void*,char,int,int))fp)(args[0].p,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,char,int,float))fp)(args[0].p,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(void*,char,int,void*))fp)(args[0].p,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(void*,char,float,char))fp)(args[0].p,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
ret->c=((char (*)(void*,char,float,int))fp)(args[0].p,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,char,float,float))fp)(args[0].p,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(void*,char,float,void*))fp)(args[0].p,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(void*,char,void*,char))fp)(args[0].p,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
ret->c=((char (*)(void*,char,void*,int))fp)(args[0].p,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,char,void*,float))fp)(args[0].p,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(void*,char,void*,void*))fp)(args[0].p,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(void*,int,char,char))fp)(args[0].p,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
ret->c=((char (*)(void*,int,char,int))fp)(args[0].p,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,int,char,float))fp)(args[0].p,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(void*,int,char,void*))fp)(args[0].p,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(void*,int,int,char))fp)(args[0].p,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
ret->c=((char (*)(void*,int,int,int))fp)(args[0].p,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,int,int,float))fp)(args[0].p,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(void*,int,int,void*))fp)(args[0].p,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(void*,int,float,char))fp)(args[0].p,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
ret->c=((char (*)(void*,int,float,int))fp)(args[0].p,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,int,float,float))fp)(args[0].p,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(void*,int,float,void*))fp)(args[0].p,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(void*,int,void*,char))fp)(args[0].p,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
ret->c=((char (*)(void*,int,void*,int))fp)(args[0].p,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,int,void*,float))fp)(args[0].p,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(void*,int,void*,void*))fp)(args[0].p,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(void*,float,char,char))fp)(args[0].p,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
ret->c=((char (*)(void*,float,char,int))fp)(args[0].p,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,float,char,float))fp)(args[0].p,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(void*,float,char,void*))fp)(args[0].p,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(void*,float,int,char))fp)(args[0].p,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
ret->c=((char (*)(void*,float,int,int))fp)(args[0].p,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,float,int,float))fp)(args[0].p,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(void*,float,int,void*))fp)(args[0].p,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(void*,float,float,char))fp)(args[0].p,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
ret->c=((char (*)(void*,float,float,int))fp)(args[0].p,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,float,float,float))fp)(args[0].p,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(void*,float,float,void*))fp)(args[0].p,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(void*,float,void*,char))fp)(args[0].p,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
ret->c=((char (*)(void*,float,void*,int))fp)(args[0].p,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,float,void*,float))fp)(args[0].p,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(void*,float,void*,void*))fp)(args[0].p,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(void*,void*,char,char))fp)(args[0].p,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
ret->c=((char (*)(void*,void*,char,int))fp)(args[0].p,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,void*,char,float))fp)(args[0].p,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(void*,void*,char,void*))fp)(args[0].p,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(void*,void*,int,char))fp)(args[0].p,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
ret->c=((char (*)(void*,void*,int,int))fp)(args[0].p,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,void*,int,float))fp)(args[0].p,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(void*,void*,int,void*))fp)(args[0].p,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(void*,void*,float,char))fp)(args[0].p,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
ret->c=((char (*)(void*,void*,float,int))fp)(args[0].p,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,void*,float,float))fp)(args[0].p,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(void*,void*,float,void*))fp)(args[0].p,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->c=((char (*)(void*,void*,void*,char))fp)(args[0].p,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
ret->c=((char (*)(void*,void*,void*,int))fp)(args[0].p,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->c=((char (*)(void*,void*,void*,float))fp)(args[0].p,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
ret->c=((char (*)(void*,void*,void*,void*))fp)(args[0].p,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
}
break;
case R_INT:
switch (types[0]) {
case R_CHAR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(char,char,char,char))fp)(args[0].c,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
ret->i=((int (*)(char,char,char,int))fp)(args[0].c,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,char,char,float))fp)(args[0].c,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(char,char,char,void*))fp)(args[0].c,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(char,char,int,char))fp)(args[0].c,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
ret->i=((int (*)(char,char,int,int))fp)(args[0].c,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,char,int,float))fp)(args[0].c,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(char,char,int,void*))fp)(args[0].c,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(char,char,float,char))fp)(args[0].c,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
ret->i=((int (*)(char,char,float,int))fp)(args[0].c,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,char,float,float))fp)(args[0].c,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(char,char,float,void*))fp)(args[0].c,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(char,char,void*,char))fp)(args[0].c,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
ret->i=((int (*)(char,char,void*,int))fp)(args[0].c,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,char,void*,float))fp)(args[0].c,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(char,char,void*,void*))fp)(args[0].c,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(char,int,char,char))fp)(args[0].c,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
ret->i=((int (*)(char,int,char,int))fp)(args[0].c,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,int,char,float))fp)(args[0].c,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(char,int,char,void*))fp)(args[0].c,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(char,int,int,char))fp)(args[0].c,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
ret->i=((int (*)(char,int,int,int))fp)(args[0].c,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,int,int,float))fp)(args[0].c,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(char,int,int,void*))fp)(args[0].c,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(char,int,float,char))fp)(args[0].c,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
ret->i=((int (*)(char,int,float,int))fp)(args[0].c,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,int,float,float))fp)(args[0].c,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(char,int,float,void*))fp)(args[0].c,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(char,int,void*,char))fp)(args[0].c,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
ret->i=((int (*)(char,int,void*,int))fp)(args[0].c,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,int,void*,float))fp)(args[0].c,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(char,int,void*,void*))fp)(args[0].c,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(char,float,char,char))fp)(args[0].c,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
ret->i=((int (*)(char,float,char,int))fp)(args[0].c,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,float,char,float))fp)(args[0].c,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(char,float,char,void*))fp)(args[0].c,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(char,float,int,char))fp)(args[0].c,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
ret->i=((int (*)(char,float,int,int))fp)(args[0].c,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,float,int,float))fp)(args[0].c,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(char,float,int,void*))fp)(args[0].c,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(char,float,float,char))fp)(args[0].c,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
ret->i=((int (*)(char,float,float,int))fp)(args[0].c,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,float,float,float))fp)(args[0].c,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(char,float,float,void*))fp)(args[0].c,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(char,float,void*,char))fp)(args[0].c,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
ret->i=((int (*)(char,float,void*,int))fp)(args[0].c,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,float,void*,float))fp)(args[0].c,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(char,float,void*,void*))fp)(args[0].c,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(char,void*,char,char))fp)(args[0].c,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
ret->i=((int (*)(char,void*,char,int))fp)(args[0].c,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,void*,char,float))fp)(args[0].c,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(char,void*,char,void*))fp)(args[0].c,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(char,void*,int,char))fp)(args[0].c,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
ret->i=((int (*)(char,void*,int,int))fp)(args[0].c,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,void*,int,float))fp)(args[0].c,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(char,void*,int,void*))fp)(args[0].c,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(char,void*,float,char))fp)(args[0].c,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
ret->i=((int (*)(char,void*,float,int))fp)(args[0].c,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,void*,float,float))fp)(args[0].c,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(char,void*,float,void*))fp)(args[0].c,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(char,void*,void*,char))fp)(args[0].c,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
ret->i=((int (*)(char,void*,void*,int))fp)(args[0].c,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(char,void*,void*,float))fp)(args[0].c,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(char,void*,void*,void*))fp)(args[0].c,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
case R_INT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(int,char,char,char))fp)(args[0].i,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
ret->i=((int (*)(int,char,char,int))fp)(args[0].i,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,char,char,float))fp)(args[0].i,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(int,char,char,void*))fp)(args[0].i,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(int,char,int,char))fp)(args[0].i,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
ret->i=((int (*)(int,char,int,int))fp)(args[0].i,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,char,int,float))fp)(args[0].i,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(int,char,int,void*))fp)(args[0].i,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(int,char,float,char))fp)(args[0].i,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
ret->i=((int (*)(int,char,float,int))fp)(args[0].i,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,char,float,float))fp)(args[0].i,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(int,char,float,void*))fp)(args[0].i,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(int,char,void*,char))fp)(args[0].i,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
ret->i=((int (*)(int,char,void*,int))fp)(args[0].i,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,char,void*,float))fp)(args[0].i,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(int,char,void*,void*))fp)(args[0].i,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(int,int,char,char))fp)(args[0].i,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
ret->i=((int (*)(int,int,char,int))fp)(args[0].i,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,int,char,float))fp)(args[0].i,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(int,int,char,void*))fp)(args[0].i,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(int,int,int,char))fp)(args[0].i,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
ret->i=((int (*)(int,int,int,int))fp)(args[0].i,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,int,int,float))fp)(args[0].i,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(int,int,int,void*))fp)(args[0].i,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(int,int,float,char))fp)(args[0].i,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
ret->i=((int (*)(int,int,float,int))fp)(args[0].i,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,int,float,float))fp)(args[0].i,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(int,int,float,void*))fp)(args[0].i,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(int,int,void*,char))fp)(args[0].i,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
ret->i=((int (*)(int,int,void*,int))fp)(args[0].i,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,int,void*,float))fp)(args[0].i,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(int,int,void*,void*))fp)(args[0].i,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(int,float,char,char))fp)(args[0].i,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
ret->i=((int (*)(int,float,char,int))fp)(args[0].i,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,float,char,float))fp)(args[0].i,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(int,float,char,void*))fp)(args[0].i,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(int,float,int,char))fp)(args[0].i,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
ret->i=((int (*)(int,float,int,int))fp)(args[0].i,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,float,int,float))fp)(args[0].i,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(int,float,int,void*))fp)(args[0].i,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(int,float,float,char))fp)(args[0].i,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
ret->i=((int (*)(int,float,float,int))fp)(args[0].i,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,float,float,float))fp)(args[0].i,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(int,float,float,void*))fp)(args[0].i,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(int,float,void*,char))fp)(args[0].i,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
ret->i=((int (*)(int,float,void*,int))fp)(args[0].i,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,float,void*,float))fp)(args[0].i,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(int,float,void*,void*))fp)(args[0].i,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(int,void*,char,char))fp)(args[0].i,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
ret->i=((int (*)(int,void*,char,int))fp)(args[0].i,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,void*,char,float))fp)(args[0].i,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(int,void*,char,void*))fp)(args[0].i,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(int,void*,int,char))fp)(args[0].i,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
ret->i=((int (*)(int,void*,int,int))fp)(args[0].i,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,void*,int,float))fp)(args[0].i,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(int,void*,int,void*))fp)(args[0].i,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(int,void*,float,char))fp)(args[0].i,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
ret->i=((int (*)(int,void*,float,int))fp)(args[0].i,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,void*,float,float))fp)(args[0].i,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(int,void*,float,void*))fp)(args[0].i,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(int,void*,void*,char))fp)(args[0].i,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
ret->i=((int (*)(int,void*,void*,int))fp)(args[0].i,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(int,void*,void*,float))fp)(args[0].i,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(int,void*,void*,void*))fp)(args[0].i,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
case R_FLOAT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(float,char,char,char))fp)(args[0].f,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
ret->i=((int (*)(float,char,char,int))fp)(args[0].f,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,char,char,float))fp)(args[0].f,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(float,char,char,void*))fp)(args[0].f,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(float,char,int,char))fp)(args[0].f,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
ret->i=((int (*)(float,char,int,int))fp)(args[0].f,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,char,int,float))fp)(args[0].f,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(float,char,int,void*))fp)(args[0].f,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(float,char,float,char))fp)(args[0].f,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
ret->i=((int (*)(float,char,float,int))fp)(args[0].f,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,char,float,float))fp)(args[0].f,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(float,char,float,void*))fp)(args[0].f,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(float,char,void*,char))fp)(args[0].f,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
ret->i=((int (*)(float,char,void*,int))fp)(args[0].f,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,char,void*,float))fp)(args[0].f,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(float,char,void*,void*))fp)(args[0].f,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(float,int,char,char))fp)(args[0].f,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
ret->i=((int (*)(float,int,char,int))fp)(args[0].f,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,int,char,float))fp)(args[0].f,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(float,int,char,void*))fp)(args[0].f,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(float,int,int,char))fp)(args[0].f,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
ret->i=((int (*)(float,int,int,int))fp)(args[0].f,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,int,int,float))fp)(args[0].f,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(float,int,int,void*))fp)(args[0].f,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(float,int,float,char))fp)(args[0].f,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
ret->i=((int (*)(float,int,float,int))fp)(args[0].f,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,int,float,float))fp)(args[0].f,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(float,int,float,void*))fp)(args[0].f,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(float,int,void*,char))fp)(args[0].f,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
ret->i=((int (*)(float,int,void*,int))fp)(args[0].f,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,int,void*,float))fp)(args[0].f,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(float,int,void*,void*))fp)(args[0].f,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(float,float,char,char))fp)(args[0].f,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
ret->i=((int (*)(float,float,char,int))fp)(args[0].f,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,float,char,float))fp)(args[0].f,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(float,float,char,void*))fp)(args[0].f,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(float,float,int,char))fp)(args[0].f,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
ret->i=((int (*)(float,float,int,int))fp)(args[0].f,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,float,int,float))fp)(args[0].f,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(float,float,int,void*))fp)(args[0].f,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(float,float,float,char))fp)(args[0].f,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
ret->i=((int (*)(float,float,float,int))fp)(args[0].f,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,float,float,float))fp)(args[0].f,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(float,float,float,void*))fp)(args[0].f,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(float,float,void*,char))fp)(args[0].f,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
ret->i=((int (*)(float,float,void*,int))fp)(args[0].f,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,float,void*,float))fp)(args[0].f,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(float,float,void*,void*))fp)(args[0].f,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(float,void*,char,char))fp)(args[0].f,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
ret->i=((int (*)(float,void*,char,int))fp)(args[0].f,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,void*,char,float))fp)(args[0].f,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(float,void*,char,void*))fp)(args[0].f,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(float,void*,int,char))fp)(args[0].f,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
ret->i=((int (*)(float,void*,int,int))fp)(args[0].f,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,void*,int,float))fp)(args[0].f,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(float,void*,int,void*))fp)(args[0].f,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(float,void*,float,char))fp)(args[0].f,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
ret->i=((int (*)(float,void*,float,int))fp)(args[0].f,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,void*,float,float))fp)(args[0].f,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(float,void*,float,void*))fp)(args[0].f,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(float,void*,void*,char))fp)(args[0].f,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
ret->i=((int (*)(float,void*,void*,int))fp)(args[0].f,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(float,void*,void*,float))fp)(args[0].f,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(float,void*,void*,void*))fp)(args[0].f,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
case R_PTR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(void*,char,char,char))fp)(args[0].p,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
ret->i=((int (*)(void*,char,char,int))fp)(args[0].p,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,char,char,float))fp)(args[0].p,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(void*,char,char,void*))fp)(args[0].p,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(void*,char,int,char))fp)(args[0].p,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
ret->i=((int (*)(void*,char,int,int))fp)(args[0].p,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,char,int,float))fp)(args[0].p,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(void*,char,int,void*))fp)(args[0].p,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(void*,char,float,char))fp)(args[0].p,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
ret->i=((int (*)(void*,char,float,int))fp)(args[0].p,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,char,float,float))fp)(args[0].p,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(void*,char,float,void*))fp)(args[0].p,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(void*,char,void*,char))fp)(args[0].p,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
ret->i=((int (*)(void*,char,void*,int))fp)(args[0].p,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,char,void*,float))fp)(args[0].p,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(void*,char,void*,void*))fp)(args[0].p,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(void*,int,char,char))fp)(args[0].p,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
ret->i=((int (*)(void*,int,char,int))fp)(args[0].p,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,int,char,float))fp)(args[0].p,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(void*,int,char,void*))fp)(args[0].p,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(void*,int,int,char))fp)(args[0].p,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
ret->i=((int (*)(void*,int,int,int))fp)(args[0].p,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,int,int,float))fp)(args[0].p,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(void*,int,int,void*))fp)(args[0].p,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(void*,int,float,char))fp)(args[0].p,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
ret->i=((int (*)(void*,int,float,int))fp)(args[0].p,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,int,float,float))fp)(args[0].p,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(void*,int,float,void*))fp)(args[0].p,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(void*,int,void*,char))fp)(args[0].p,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
ret->i=((int (*)(void*,int,void*,int))fp)(args[0].p,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,int,void*,float))fp)(args[0].p,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(void*,int,void*,void*))fp)(args[0].p,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(void*,float,char,char))fp)(args[0].p,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
ret->i=((int (*)(void*,float,char,int))fp)(args[0].p,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,float,char,float))fp)(args[0].p,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(void*,float,char,void*))fp)(args[0].p,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(void*,float,int,char))fp)(args[0].p,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
ret->i=((int (*)(void*,float,int,int))fp)(args[0].p,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,float,int,float))fp)(args[0].p,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(void*,float,int,void*))fp)(args[0].p,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(void*,float,float,char))fp)(args[0].p,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
ret->i=((int (*)(void*,float,float,int))fp)(args[0].p,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,float,float,float))fp)(args[0].p,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(void*,float,float,void*))fp)(args[0].p,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(void*,float,void*,char))fp)(args[0].p,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
ret->i=((int (*)(void*,float,void*,int))fp)(args[0].p,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,float,void*,float))fp)(args[0].p,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(void*,float,void*,void*))fp)(args[0].p,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(void*,void*,char,char))fp)(args[0].p,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
ret->i=((int (*)(void*,void*,char,int))fp)(args[0].p,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,void*,char,float))fp)(args[0].p,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(void*,void*,char,void*))fp)(args[0].p,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(void*,void*,int,char))fp)(args[0].p,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
ret->i=((int (*)(void*,void*,int,int))fp)(args[0].p,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,void*,int,float))fp)(args[0].p,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(void*,void*,int,void*))fp)(args[0].p,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(void*,void*,float,char))fp)(args[0].p,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
ret->i=((int (*)(void*,void*,float,int))fp)(args[0].p,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,void*,float,float))fp)(args[0].p,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(void*,void*,float,void*))fp)(args[0].p,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->i=((int (*)(void*,void*,void*,char))fp)(args[0].p,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
ret->i=((int (*)(void*,void*,void*,int))fp)(args[0].p,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->i=((int (*)(void*,void*,void*,float))fp)(args[0].p,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
ret->i=((int (*)(void*,void*,void*,void*))fp)(args[0].p,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
}
break;
case R_FLOAT:
switch (types[0]) {
case R_CHAR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(char,char,char,char))fp)(args[0].c,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
ret->f=((float (*)(char,char,char,int))fp)(args[0].c,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,char,char,float))fp)(args[0].c,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(char,char,char,void*))fp)(args[0].c,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(char,char,int,char))fp)(args[0].c,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
ret->f=((float (*)(char,char,int,int))fp)(args[0].c,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,char,int,float))fp)(args[0].c,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(char,char,int,void*))fp)(args[0].c,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(char,char,float,char))fp)(args[0].c,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
ret->f=((float (*)(char,char,float,int))fp)(args[0].c,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,char,float,float))fp)(args[0].c,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(char,char,float,void*))fp)(args[0].c,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(char,char,void*,char))fp)(args[0].c,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
ret->f=((float (*)(char,char,void*,int))fp)(args[0].c,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,char,void*,float))fp)(args[0].c,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(char,char,void*,void*))fp)(args[0].c,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(char,int,char,char))fp)(args[0].c,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
ret->f=((float (*)(char,int,char,int))fp)(args[0].c,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,int,char,float))fp)(args[0].c,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(char,int,char,void*))fp)(args[0].c,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(char,int,int,char))fp)(args[0].c,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
ret->f=((float (*)(char,int,int,int))fp)(args[0].c,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,int,int,float))fp)(args[0].c,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(char,int,int,void*))fp)(args[0].c,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(char,int,float,char))fp)(args[0].c,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
ret->f=((float (*)(char,int,float,int))fp)(args[0].c,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,int,float,float))fp)(args[0].c,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(char,int,float,void*))fp)(args[0].c,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(char,int,void*,char))fp)(args[0].c,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
ret->f=((float (*)(char,int,void*,int))fp)(args[0].c,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,int,void*,float))fp)(args[0].c,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(char,int,void*,void*))fp)(args[0].c,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(char,float,char,char))fp)(args[0].c,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
ret->f=((float (*)(char,float,char,int))fp)(args[0].c,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,float,char,float))fp)(args[0].c,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(char,float,char,void*))fp)(args[0].c,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(char,float,int,char))fp)(args[0].c,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
ret->f=((float (*)(char,float,int,int))fp)(args[0].c,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,float,int,float))fp)(args[0].c,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(char,float,int,void*))fp)(args[0].c,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(char,float,float,char))fp)(args[0].c,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
ret->f=((float (*)(char,float,float,int))fp)(args[0].c,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,float,float,float))fp)(args[0].c,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(char,float,float,void*))fp)(args[0].c,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(char,float,void*,char))fp)(args[0].c,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
ret->f=((float (*)(char,float,void*,int))fp)(args[0].c,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,float,void*,float))fp)(args[0].c,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(char,float,void*,void*))fp)(args[0].c,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(char,void*,char,char))fp)(args[0].c,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
ret->f=((float (*)(char,void*,char,int))fp)(args[0].c,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,void*,char,float))fp)(args[0].c,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(char,void*,char,void*))fp)(args[0].c,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(char,void*,int,char))fp)(args[0].c,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
ret->f=((float (*)(char,void*,int,int))fp)(args[0].c,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,void*,int,float))fp)(args[0].c,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(char,void*,int,void*))fp)(args[0].c,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(char,void*,float,char))fp)(args[0].c,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
ret->f=((float (*)(char,void*,float,int))fp)(args[0].c,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,void*,float,float))fp)(args[0].c,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(char,void*,float,void*))fp)(args[0].c,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(char,void*,void*,char))fp)(args[0].c,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
ret->f=((float (*)(char,void*,void*,int))fp)(args[0].c,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(char,void*,void*,float))fp)(args[0].c,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(char,void*,void*,void*))fp)(args[0].c,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
case R_INT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(int,char,char,char))fp)(args[0].i,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
ret->f=((float (*)(int,char,char,int))fp)(args[0].i,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,char,char,float))fp)(args[0].i,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(int,char,char,void*))fp)(args[0].i,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(int,char,int,char))fp)(args[0].i,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
ret->f=((float (*)(int,char,int,int))fp)(args[0].i,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,char,int,float))fp)(args[0].i,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(int,char,int,void*))fp)(args[0].i,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(int,char,float,char))fp)(args[0].i,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
ret->f=((float (*)(int,char,float,int))fp)(args[0].i,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,char,float,float))fp)(args[0].i,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(int,char,float,void*))fp)(args[0].i,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(int,char,void*,char))fp)(args[0].i,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
ret->f=((float (*)(int,char,void*,int))fp)(args[0].i,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,char,void*,float))fp)(args[0].i,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(int,char,void*,void*))fp)(args[0].i,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(int,int,char,char))fp)(args[0].i,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
ret->f=((float (*)(int,int,char,int))fp)(args[0].i,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,int,char,float))fp)(args[0].i,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(int,int,char,void*))fp)(args[0].i,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(int,int,int,char))fp)(args[0].i,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
ret->f=((float (*)(int,int,int,int))fp)(args[0].i,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,int,int,float))fp)(args[0].i,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(int,int,int,void*))fp)(args[0].i,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(int,int,float,char))fp)(args[0].i,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
ret->f=((float (*)(int,int,float,int))fp)(args[0].i,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,int,float,float))fp)(args[0].i,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(int,int,float,void*))fp)(args[0].i,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(int,int,void*,char))fp)(args[0].i,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
ret->f=((float (*)(int,int,void*,int))fp)(args[0].i,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,int,void*,float))fp)(args[0].i,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(int,int,void*,void*))fp)(args[0].i,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(int,float,char,char))fp)(args[0].i,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
ret->f=((float (*)(int,float,char,int))fp)(args[0].i,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,float,char,float))fp)(args[0].i,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(int,float,char,void*))fp)(args[0].i,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(int,float,int,char))fp)(args[0].i,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
ret->f=((float (*)(int,float,int,int))fp)(args[0].i,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,float,int,float))fp)(args[0].i,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(int,float,int,void*))fp)(args[0].i,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(int,float,float,char))fp)(args[0].i,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
ret->f=((float (*)(int,float,float,int))fp)(args[0].i,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,float,float,float))fp)(args[0].i,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(int,float,float,void*))fp)(args[0].i,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(int,float,void*,char))fp)(args[0].i,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
ret->f=((float (*)(int,float,void*,int))fp)(args[0].i,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,float,void*,float))fp)(args[0].i,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(int,float,void*,void*))fp)(args[0].i,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(int,void*,char,char))fp)(args[0].i,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
ret->f=((float (*)(int,void*,char,int))fp)(args[0].i,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,void*,char,float))fp)(args[0].i,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(int,void*,char,void*))fp)(args[0].i,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(int,void*,int,char))fp)(args[0].i,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
ret->f=((float (*)(int,void*,int,int))fp)(args[0].i,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,void*,int,float))fp)(args[0].i,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(int,void*,int,void*))fp)(args[0].i,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(int,void*,float,char))fp)(args[0].i,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
ret->f=((float (*)(int,void*,float,int))fp)(args[0].i,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,void*,float,float))fp)(args[0].i,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(int,void*,float,void*))fp)(args[0].i,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(int,void*,void*,char))fp)(args[0].i,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
ret->f=((float (*)(int,void*,void*,int))fp)(args[0].i,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(int,void*,void*,float))fp)(args[0].i,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(int,void*,void*,void*))fp)(args[0].i,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
case R_FLOAT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(float,char,char,char))fp)(args[0].f,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
ret->f=((float (*)(float,char,char,int))fp)(args[0].f,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,char,char,float))fp)(args[0].f,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(float,char,char,void*))fp)(args[0].f,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(float,char,int,char))fp)(args[0].f,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
ret->f=((float (*)(float,char,int,int))fp)(args[0].f,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,char,int,float))fp)(args[0].f,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(float,char,int,void*))fp)(args[0].f,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(float,char,float,char))fp)(args[0].f,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
ret->f=((float (*)(float,char,float,int))fp)(args[0].f,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,char,float,float))fp)(args[0].f,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(float,char,float,void*))fp)(args[0].f,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(float,char,void*,char))fp)(args[0].f,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
ret->f=((float (*)(float,char,void*,int))fp)(args[0].f,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,char,void*,float))fp)(args[0].f,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(float,char,void*,void*))fp)(args[0].f,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(float,int,char,char))fp)(args[0].f,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
ret->f=((float (*)(float,int,char,int))fp)(args[0].f,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,int,char,float))fp)(args[0].f,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(float,int,char,void*))fp)(args[0].f,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(float,int,int,char))fp)(args[0].f,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
ret->f=((float (*)(float,int,int,int))fp)(args[0].f,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,int,int,float))fp)(args[0].f,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(float,int,int,void*))fp)(args[0].f,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(float,int,float,char))fp)(args[0].f,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
ret->f=((float (*)(float,int,float,int))fp)(args[0].f,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,int,float,float))fp)(args[0].f,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(float,int,float,void*))fp)(args[0].f,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(float,int,void*,char))fp)(args[0].f,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
ret->f=((float (*)(float,int,void*,int))fp)(args[0].f,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,int,void*,float))fp)(args[0].f,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(float,int,void*,void*))fp)(args[0].f,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(float,float,char,char))fp)(args[0].f,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
ret->f=((float (*)(float,float,char,int))fp)(args[0].f,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,float,char,float))fp)(args[0].f,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(float,float,char,void*))fp)(args[0].f,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(float,float,int,char))fp)(args[0].f,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
ret->f=((float (*)(float,float,int,int))fp)(args[0].f,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,float,int,float))fp)(args[0].f,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(float,float,int,void*))fp)(args[0].f,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(float,float,float,char))fp)(args[0].f,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
ret->f=((float (*)(float,float,float,int))fp)(args[0].f,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,float,float,float))fp)(args[0].f,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(float,float,float,void*))fp)(args[0].f,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(float,float,void*,char))fp)(args[0].f,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
ret->f=((float (*)(float,float,void*,int))fp)(args[0].f,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,float,void*,float))fp)(args[0].f,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(float,float,void*,void*))fp)(args[0].f,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(float,void*,char,char))fp)(args[0].f,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
ret->f=((float (*)(float,void*,char,int))fp)(args[0].f,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,void*,char,float))fp)(args[0].f,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(float,void*,char,void*))fp)(args[0].f,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(float,void*,int,char))fp)(args[0].f,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
ret->f=((float (*)(float,void*,int,int))fp)(args[0].f,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,void*,int,float))fp)(args[0].f,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(float,void*,int,void*))fp)(args[0].f,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(float,void*,float,char))fp)(args[0].f,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
ret->f=((float (*)(float,void*,float,int))fp)(args[0].f,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,void*,float,float))fp)(args[0].f,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(float,void*,float,void*))fp)(args[0].f,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(float,void*,void*,char))fp)(args[0].f,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
ret->f=((float (*)(float,void*,void*,int))fp)(args[0].f,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(float,void*,void*,float))fp)(args[0].f,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(float,void*,void*,void*))fp)(args[0].f,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
case R_PTR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(void*,char,char,char))fp)(args[0].p,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
ret->f=((float (*)(void*,char,char,int))fp)(args[0].p,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,char,char,float))fp)(args[0].p,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(void*,char,char,void*))fp)(args[0].p,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(void*,char,int,char))fp)(args[0].p,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
ret->f=((float (*)(void*,char,int,int))fp)(args[0].p,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,char,int,float))fp)(args[0].p,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(void*,char,int,void*))fp)(args[0].p,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(void*,char,float,char))fp)(args[0].p,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
ret->f=((float (*)(void*,char,float,int))fp)(args[0].p,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,char,float,float))fp)(args[0].p,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(void*,char,float,void*))fp)(args[0].p,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(void*,char,void*,char))fp)(args[0].p,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
ret->f=((float (*)(void*,char,void*,int))fp)(args[0].p,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,char,void*,float))fp)(args[0].p,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(void*,char,void*,void*))fp)(args[0].p,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(void*,int,char,char))fp)(args[0].p,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
ret->f=((float (*)(void*,int,char,int))fp)(args[0].p,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,int,char,float))fp)(args[0].p,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(void*,int,char,void*))fp)(args[0].p,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(void*,int,int,char))fp)(args[0].p,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
ret->f=((float (*)(void*,int,int,int))fp)(args[0].p,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,int,int,float))fp)(args[0].p,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(void*,int,int,void*))fp)(args[0].p,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(void*,int,float,char))fp)(args[0].p,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
ret->f=((float (*)(void*,int,float,int))fp)(args[0].p,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,int,float,float))fp)(args[0].p,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(void*,int,float,void*))fp)(args[0].p,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(void*,int,void*,char))fp)(args[0].p,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
ret->f=((float (*)(void*,int,void*,int))fp)(args[0].p,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,int,void*,float))fp)(args[0].p,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(void*,int,void*,void*))fp)(args[0].p,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(void*,float,char,char))fp)(args[0].p,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
ret->f=((float (*)(void*,float,char,int))fp)(args[0].p,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,float,char,float))fp)(args[0].p,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(void*,float,char,void*))fp)(args[0].p,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(void*,float,int,char))fp)(args[0].p,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
ret->f=((float (*)(void*,float,int,int))fp)(args[0].p,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,float,int,float))fp)(args[0].p,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(void*,float,int,void*))fp)(args[0].p,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(void*,float,float,char))fp)(args[0].p,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
ret->f=((float (*)(void*,float,float,int))fp)(args[0].p,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,float,float,float))fp)(args[0].p,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(void*,float,float,void*))fp)(args[0].p,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(void*,float,void*,char))fp)(args[0].p,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
ret->f=((float (*)(void*,float,void*,int))fp)(args[0].p,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,float,void*,float))fp)(args[0].p,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(void*,float,void*,void*))fp)(args[0].p,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(void*,void*,char,char))fp)(args[0].p,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
ret->f=((float (*)(void*,void*,char,int))fp)(args[0].p,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,void*,char,float))fp)(args[0].p,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(void*,void*,char,void*))fp)(args[0].p,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(void*,void*,int,char))fp)(args[0].p,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
ret->f=((float (*)(void*,void*,int,int))fp)(args[0].p,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,void*,int,float))fp)(args[0].p,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(void*,void*,int,void*))fp)(args[0].p,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(void*,void*,float,char))fp)(args[0].p,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
ret->f=((float (*)(void*,void*,float,int))fp)(args[0].p,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,void*,float,float))fp)(args[0].p,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(void*,void*,float,void*))fp)(args[0].p,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->f=((float (*)(void*,void*,void*,char))fp)(args[0].p,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
ret->f=((float (*)(void*,void*,void*,int))fp)(args[0].p,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->f=((float (*)(void*,void*,void*,float))fp)(args[0].p,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
ret->f=((float (*)(void*,void*,void*,void*))fp)(args[0].p,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
}
break;
case R_PTR:
switch (types[0]) {
case R_CHAR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(char,char,char,char))fp)(args[0].c,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(char,char,char,int))fp)(args[0].c,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,char,char,float))fp)(args[0].c,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(char,char,char,void*))fp)(args[0].c,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(char,char,int,char))fp)(args[0].c,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(char,char,int,int))fp)(args[0].c,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,char,int,float))fp)(args[0].c,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(char,char,int,void*))fp)(args[0].c,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(char,char,float,char))fp)(args[0].c,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(char,char,float,int))fp)(args[0].c,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,char,float,float))fp)(args[0].c,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(char,char,float,void*))fp)(args[0].c,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(char,char,void*,char))fp)(args[0].c,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(char,char,void*,int))fp)(args[0].c,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,char,void*,float))fp)(args[0].c,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(char,char,void*,void*))fp)(args[0].c,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(char,int,char,char))fp)(args[0].c,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(char,int,char,int))fp)(args[0].c,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,int,char,float))fp)(args[0].c,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(char,int,char,void*))fp)(args[0].c,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(char,int,int,char))fp)(args[0].c,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(char,int,int,int))fp)(args[0].c,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,int,int,float))fp)(args[0].c,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(char,int,int,void*))fp)(args[0].c,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(char,int,float,char))fp)(args[0].c,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(char,int,float,int))fp)(args[0].c,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,int,float,float))fp)(args[0].c,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(char,int,float,void*))fp)(args[0].c,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(char,int,void*,char))fp)(args[0].c,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(char,int,void*,int))fp)(args[0].c,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,int,void*,float))fp)(args[0].c,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(char,int,void*,void*))fp)(args[0].c,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(char,float,char,char))fp)(args[0].c,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(char,float,char,int))fp)(args[0].c,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,float,char,float))fp)(args[0].c,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(char,float,char,void*))fp)(args[0].c,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(char,float,int,char))fp)(args[0].c,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(char,float,int,int))fp)(args[0].c,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,float,int,float))fp)(args[0].c,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(char,float,int,void*))fp)(args[0].c,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(char,float,float,char))fp)(args[0].c,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(char,float,float,int))fp)(args[0].c,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,float,float,float))fp)(args[0].c,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(char,float,float,void*))fp)(args[0].c,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(char,float,void*,char))fp)(args[0].c,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(char,float,void*,int))fp)(args[0].c,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,float,void*,float))fp)(args[0].c,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(char,float,void*,void*))fp)(args[0].c,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(char,void*,char,char))fp)(args[0].c,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(char,void*,char,int))fp)(args[0].c,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,void*,char,float))fp)(args[0].c,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(char,void*,char,void*))fp)(args[0].c,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(char,void*,int,char))fp)(args[0].c,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(char,void*,int,int))fp)(args[0].c,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,void*,int,float))fp)(args[0].c,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(char,void*,int,void*))fp)(args[0].c,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(char,void*,float,char))fp)(args[0].c,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(char,void*,float,int))fp)(args[0].c,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,void*,float,float))fp)(args[0].c,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(char,void*,float,void*))fp)(args[0].c,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(char,void*,void*,char))fp)(args[0].c,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(char,void*,void*,int))fp)(args[0].c,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(char,void*,void*,float))fp)(args[0].c,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(char,void*,void*,void*))fp)(args[0].c,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
case R_INT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(int,char,char,char))fp)(args[0].i,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(int,char,char,int))fp)(args[0].i,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,char,char,float))fp)(args[0].i,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(int,char,char,void*))fp)(args[0].i,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(int,char,int,char))fp)(args[0].i,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(int,char,int,int))fp)(args[0].i,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,char,int,float))fp)(args[0].i,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(int,char,int,void*))fp)(args[0].i,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(int,char,float,char))fp)(args[0].i,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(int,char,float,int))fp)(args[0].i,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,char,float,float))fp)(args[0].i,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(int,char,float,void*))fp)(args[0].i,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(int,char,void*,char))fp)(args[0].i,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(int,char,void*,int))fp)(args[0].i,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,char,void*,float))fp)(args[0].i,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(int,char,void*,void*))fp)(args[0].i,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(int,int,char,char))fp)(args[0].i,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(int,int,char,int))fp)(args[0].i,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,int,char,float))fp)(args[0].i,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(int,int,char,void*))fp)(args[0].i,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(int,int,int,char))fp)(args[0].i,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(int,int,int,int))fp)(args[0].i,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,int,int,float))fp)(args[0].i,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(int,int,int,void*))fp)(args[0].i,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(int,int,float,char))fp)(args[0].i,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(int,int,float,int))fp)(args[0].i,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,int,float,float))fp)(args[0].i,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(int,int,float,void*))fp)(args[0].i,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(int,int,void*,char))fp)(args[0].i,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(int,int,void*,int))fp)(args[0].i,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,int,void*,float))fp)(args[0].i,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(int,int,void*,void*))fp)(args[0].i,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(int,float,char,char))fp)(args[0].i,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(int,float,char,int))fp)(args[0].i,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,float,char,float))fp)(args[0].i,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(int,float,char,void*))fp)(args[0].i,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(int,float,int,char))fp)(args[0].i,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(int,float,int,int))fp)(args[0].i,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,float,int,float))fp)(args[0].i,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(int,float,int,void*))fp)(args[0].i,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(int,float,float,char))fp)(args[0].i,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(int,float,float,int))fp)(args[0].i,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,float,float,float))fp)(args[0].i,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(int,float,float,void*))fp)(args[0].i,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(int,float,void*,char))fp)(args[0].i,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(int,float,void*,int))fp)(args[0].i,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,float,void*,float))fp)(args[0].i,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(int,float,void*,void*))fp)(args[0].i,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(int,void*,char,char))fp)(args[0].i,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(int,void*,char,int))fp)(args[0].i,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,void*,char,float))fp)(args[0].i,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(int,void*,char,void*))fp)(args[0].i,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(int,void*,int,char))fp)(args[0].i,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(int,void*,int,int))fp)(args[0].i,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,void*,int,float))fp)(args[0].i,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(int,void*,int,void*))fp)(args[0].i,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(int,void*,float,char))fp)(args[0].i,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(int,void*,float,int))fp)(args[0].i,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,void*,float,float))fp)(args[0].i,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(int,void*,float,void*))fp)(args[0].i,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(int,void*,void*,char))fp)(args[0].i,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(int,void*,void*,int))fp)(args[0].i,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(int,void*,void*,float))fp)(args[0].i,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(int,void*,void*,void*))fp)(args[0].i,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
case R_FLOAT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(float,char,char,char))fp)(args[0].f,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(float,char,char,int))fp)(args[0].f,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,char,char,float))fp)(args[0].f,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(float,char,char,void*))fp)(args[0].f,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(float,char,int,char))fp)(args[0].f,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(float,char,int,int))fp)(args[0].f,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,char,int,float))fp)(args[0].f,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(float,char,int,void*))fp)(args[0].f,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(float,char,float,char))fp)(args[0].f,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(float,char,float,int))fp)(args[0].f,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,char,float,float))fp)(args[0].f,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(float,char,float,void*))fp)(args[0].f,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(float,char,void*,char))fp)(args[0].f,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(float,char,void*,int))fp)(args[0].f,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,char,void*,float))fp)(args[0].f,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(float,char,void*,void*))fp)(args[0].f,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(float,int,char,char))fp)(args[0].f,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(float,int,char,int))fp)(args[0].f,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,int,char,float))fp)(args[0].f,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(float,int,char,void*))fp)(args[0].f,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(float,int,int,char))fp)(args[0].f,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(float,int,int,int))fp)(args[0].f,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,int,int,float))fp)(args[0].f,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(float,int,int,void*))fp)(args[0].f,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(float,int,float,char))fp)(args[0].f,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(float,int,float,int))fp)(args[0].f,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,int,float,float))fp)(args[0].f,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(float,int,float,void*))fp)(args[0].f,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(float,int,void*,char))fp)(args[0].f,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(float,int,void*,int))fp)(args[0].f,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,int,void*,float))fp)(args[0].f,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(float,int,void*,void*))fp)(args[0].f,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(float,float,char,char))fp)(args[0].f,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(float,float,char,int))fp)(args[0].f,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,float,char,float))fp)(args[0].f,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(float,float,char,void*))fp)(args[0].f,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(float,float,int,char))fp)(args[0].f,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(float,float,int,int))fp)(args[0].f,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,float,int,float))fp)(args[0].f,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(float,float,int,void*))fp)(args[0].f,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(float,float,float,char))fp)(args[0].f,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(float,float,float,int))fp)(args[0].f,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,float,float,float))fp)(args[0].f,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(float,float,float,void*))fp)(args[0].f,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(float,float,void*,char))fp)(args[0].f,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(float,float,void*,int))fp)(args[0].f,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,float,void*,float))fp)(args[0].f,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(float,float,void*,void*))fp)(args[0].f,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(float,void*,char,char))fp)(args[0].f,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(float,void*,char,int))fp)(args[0].f,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,void*,char,float))fp)(args[0].f,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(float,void*,char,void*))fp)(args[0].f,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(float,void*,int,char))fp)(args[0].f,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(float,void*,int,int))fp)(args[0].f,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,void*,int,float))fp)(args[0].f,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(float,void*,int,void*))fp)(args[0].f,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(float,void*,float,char))fp)(args[0].f,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(float,void*,float,int))fp)(args[0].f,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,void*,float,float))fp)(args[0].f,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(float,void*,float,void*))fp)(args[0].f,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(float,void*,void*,char))fp)(args[0].f,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(float,void*,void*,int))fp)(args[0].f,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(float,void*,void*,float))fp)(args[0].f,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(float,void*,void*,void*))fp)(args[0].f,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
case R_PTR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(void*,char,char,char))fp)(args[0].p,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(void*,char,char,int))fp)(args[0].p,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,char,char,float))fp)(args[0].p,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,char,char,void*))fp)(args[0].p,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(void*,char,int,char))fp)(args[0].p,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(void*,char,int,int))fp)(args[0].p,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,char,int,float))fp)(args[0].p,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,char,int,void*))fp)(args[0].p,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(void*,char,float,char))fp)(args[0].p,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(void*,char,float,int))fp)(args[0].p,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,char,float,float))fp)(args[0].p,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,char,float,void*))fp)(args[0].p,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(void*,char,void*,char))fp)(args[0].p,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(void*,char,void*,int))fp)(args[0].p,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,char,void*,float))fp)(args[0].p,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,char,void*,void*))fp)(args[0].p,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(void*,int,char,char))fp)(args[0].p,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(void*,int,char,int))fp)(args[0].p,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,int,char,float))fp)(args[0].p,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,int,char,void*))fp)(args[0].p,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(void*,int,int,char))fp)(args[0].p,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(void*,int,int,int))fp)(args[0].p,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,int,int,float))fp)(args[0].p,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,int,int,void*))fp)(args[0].p,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(void*,int,float,char))fp)(args[0].p,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(void*,int,float,int))fp)(args[0].p,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,int,float,float))fp)(args[0].p,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,int,float,void*))fp)(args[0].p,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(void*,int,void*,char))fp)(args[0].p,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(void*,int,void*,int))fp)(args[0].p,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,int,void*,float))fp)(args[0].p,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,int,void*,void*))fp)(args[0].p,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(void*,float,char,char))fp)(args[0].p,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(void*,float,char,int))fp)(args[0].p,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,float,char,float))fp)(args[0].p,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,float,char,void*))fp)(args[0].p,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(void*,float,int,char))fp)(args[0].p,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(void*,float,int,int))fp)(args[0].p,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,float,int,float))fp)(args[0].p,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,float,int,void*))fp)(args[0].p,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(void*,float,float,char))fp)(args[0].p,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(void*,float,float,int))fp)(args[0].p,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,float,float,float))fp)(args[0].p,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,float,float,void*))fp)(args[0].p,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(void*,float,void*,char))fp)(args[0].p,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(void*,float,void*,int))fp)(args[0].p,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,float,void*,float))fp)(args[0].p,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,float,void*,void*))fp)(args[0].p,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(void*,void*,char,char))fp)(args[0].p,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(void*,void*,char,int))fp)(args[0].p,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,void*,char,float))fp)(args[0].p,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,void*,char,void*))fp)(args[0].p,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(void*,void*,int,char))fp)(args[0].p,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(void*,void*,int,int))fp)(args[0].p,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,void*,int,float))fp)(args[0].p,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,void*,int,void*))fp)(args[0].p,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(void*,void*,float,char))fp)(args[0].p,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(void*,void*,float,int))fp)(args[0].p,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,void*,float,float))fp)(args[0].p,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,void*,float,void*))fp)(args[0].p,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
ret->p=((void* (*)(void*,void*,void*,char))fp)(args[0].p,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
ret->p=((void* (*)(void*,void*,void*,int))fp)(args[0].p,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
ret->p=((void* (*)(void*,void*,void*,float))fp)(args[0].p,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
ret->p=((void* (*)(void*,void*,void*,void*))fp)(args[0].p,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
}
break;
case R_VOID:
switch (types[0]) {
case R_CHAR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
((void (*)(char,char,char,char))fp)(args[0].c,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
((void (*)(char,char,char,int))fp)(args[0].c,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
((void (*)(char,char,char,float))fp)(args[0].c,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
((void (*)(char,char,char,void*))fp)(args[0].c,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
((void (*)(char,char,int,char))fp)(args[0].c,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
((void (*)(char,char,int,int))fp)(args[0].c,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
((void (*)(char,char,int,float))fp)(args[0].c,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
((void (*)(char,char,int,void*))fp)(args[0].c,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
((void (*)(char,char,float,char))fp)(args[0].c,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
((void (*)(char,char,float,int))fp)(args[0].c,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
((void (*)(char,char,float,float))fp)(args[0].c,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
((void (*)(char,char,float,void*))fp)(args[0].c,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
((void (*)(char,char,void*,char))fp)(args[0].c,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
((void (*)(char,char,void*,int))fp)(args[0].c,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
((void (*)(char,char,void*,float))fp)(args[0].c,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
((void (*)(char,char,void*,void*))fp)(args[0].c,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
((void (*)(char,int,char,char))fp)(args[0].c,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
((void (*)(char,int,char,int))fp)(args[0].c,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
((void (*)(char,int,char,float))fp)(args[0].c,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
((void (*)(char,int,char,void*))fp)(args[0].c,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
((void (*)(char,int,int,char))fp)(args[0].c,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
((void (*)(char,int,int,int))fp)(args[0].c,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
((void (*)(char,int,int,float))fp)(args[0].c,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
((void (*)(char,int,int,void*))fp)(args[0].c,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
((void (*)(char,int,float,char))fp)(args[0].c,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
((void (*)(char,int,float,int))fp)(args[0].c,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
((void (*)(char,int,float,float))fp)(args[0].c,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
((void (*)(char,int,float,void*))fp)(args[0].c,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
((void (*)(char,int,void*,char))fp)(args[0].c,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
((void (*)(char,int,void*,int))fp)(args[0].c,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
((void (*)(char,int,void*,float))fp)(args[0].c,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
((void (*)(char,int,void*,void*))fp)(args[0].c,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
((void (*)(char,float,char,char))fp)(args[0].c,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
((void (*)(char,float,char,int))fp)(args[0].c,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
((void (*)(char,float,char,float))fp)(args[0].c,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
((void (*)(char,float,char,void*))fp)(args[0].c,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
((void (*)(char,float,int,char))fp)(args[0].c,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
((void (*)(char,float,int,int))fp)(args[0].c,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
((void (*)(char,float,int,float))fp)(args[0].c,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
((void (*)(char,float,int,void*))fp)(args[0].c,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
((void (*)(char,float,float,char))fp)(args[0].c,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
((void (*)(char,float,float,int))fp)(args[0].c,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
((void (*)(char,float,float,float))fp)(args[0].c,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
((void (*)(char,float,float,void*))fp)(args[0].c,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
((void (*)(char,float,void*,char))fp)(args[0].c,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
((void (*)(char,float,void*,int))fp)(args[0].c,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
((void (*)(char,float,void*,float))fp)(args[0].c,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
((void (*)(char,float,void*,void*))fp)(args[0].c,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
((void (*)(char,void*,char,char))fp)(args[0].c,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
((void (*)(char,void*,char,int))fp)(args[0].c,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
((void (*)(char,void*,char,float))fp)(args[0].c,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
((void (*)(char,void*,char,void*))fp)(args[0].c,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
((void (*)(char,void*,int,char))fp)(args[0].c,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
((void (*)(char,void*,int,int))fp)(args[0].c,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
((void (*)(char,void*,int,float))fp)(args[0].c,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
((void (*)(char,void*,int,void*))fp)(args[0].c,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
((void (*)(char,void*,float,char))fp)(args[0].c,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
((void (*)(char,void*,float,int))fp)(args[0].c,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
((void (*)(char,void*,float,float))fp)(args[0].c,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
((void (*)(char,void*,float,void*))fp)(args[0].c,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
((void (*)(char,void*,void*,char))fp)(args[0].c,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
((void (*)(char,void*,void*,int))fp)(args[0].c,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
((void (*)(char,void*,void*,float))fp)(args[0].c,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
((void (*)(char,void*,void*,void*))fp)(args[0].c,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
case R_INT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
((void (*)(int,char,char,char))fp)(args[0].i,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
((void (*)(int,char,char,int))fp)(args[0].i,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
((void (*)(int,char,char,float))fp)(args[0].i,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
((void (*)(int,char,char,void*))fp)(args[0].i,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
((void (*)(int,char,int,char))fp)(args[0].i,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
((void (*)(int,char,int,int))fp)(args[0].i,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
((void (*)(int,char,int,float))fp)(args[0].i,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
((void (*)(int,char,int,void*))fp)(args[0].i,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
((void (*)(int,char,float,char))fp)(args[0].i,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
((void (*)(int,char,float,int))fp)(args[0].i,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
((void (*)(int,char,float,float))fp)(args[0].i,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
((void (*)(int,char,float,void*))fp)(args[0].i,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
((void (*)(int,char,void*,char))fp)(args[0].i,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
((void (*)(int,char,void*,int))fp)(args[0].i,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
((void (*)(int,char,void*,float))fp)(args[0].i,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
((void (*)(int,char,void*,void*))fp)(args[0].i,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
((void (*)(int,int,char,char))fp)(args[0].i,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
((void (*)(int,int,char,int))fp)(args[0].i,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
((void (*)(int,int,char,float))fp)(args[0].i,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
((void (*)(int,int,char,void*))fp)(args[0].i,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
((void (*)(int,int,int,char))fp)(args[0].i,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
((void (*)(int,int,int,int))fp)(args[0].i,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
((void (*)(int,int,int,float))fp)(args[0].i,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
((void (*)(int,int,int,void*))fp)(args[0].i,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
((void (*)(int,int,float,char))fp)(args[0].i,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
((void (*)(int,int,float,int))fp)(args[0].i,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
((void (*)(int,int,float,float))fp)(args[0].i,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
((void (*)(int,int,float,void*))fp)(args[0].i,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
((void (*)(int,int,void*,char))fp)(args[0].i,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
((void (*)(int,int,void*,int))fp)(args[0].i,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
((void (*)(int,int,void*,float))fp)(args[0].i,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
((void (*)(int,int,void*,void*))fp)(args[0].i,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
((void (*)(int,float,char,char))fp)(args[0].i,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
((void (*)(int,float,char,int))fp)(args[0].i,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
((void (*)(int,float,char,float))fp)(args[0].i,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
((void (*)(int,float,char,void*))fp)(args[0].i,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
((void (*)(int,float,int,char))fp)(args[0].i,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
((void (*)(int,float,int,int))fp)(args[0].i,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
((void (*)(int,float,int,float))fp)(args[0].i,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
((void (*)(int,float,int,void*))fp)(args[0].i,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
((void (*)(int,float,float,char))fp)(args[0].i,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
((void (*)(int,float,float,int))fp)(args[0].i,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
((void (*)(int,float,float,float))fp)(args[0].i,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
((void (*)(int,float,float,void*))fp)(args[0].i,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
((void (*)(int,float,void*,char))fp)(args[0].i,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
((void (*)(int,float,void*,int))fp)(args[0].i,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
((void (*)(int,float,void*,float))fp)(args[0].i,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
((void (*)(int,float,void*,void*))fp)(args[0].i,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
((void (*)(int,void*,char,char))fp)(args[0].i,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
((void (*)(int,void*,char,int))fp)(args[0].i,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
((void (*)(int,void*,char,float))fp)(args[0].i,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
((void (*)(int,void*,char,void*))fp)(args[0].i,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
((void (*)(int,void*,int,char))fp)(args[0].i,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
((void (*)(int,void*,int,int))fp)(args[0].i,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
((void (*)(int,void*,int,float))fp)(args[0].i,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
((void (*)(int,void*,int,void*))fp)(args[0].i,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
((void (*)(int,void*,float,char))fp)(args[0].i,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
((void (*)(int,void*,float,int))fp)(args[0].i,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
((void (*)(int,void*,float,float))fp)(args[0].i,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
((void (*)(int,void*,float,void*))fp)(args[0].i,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
((void (*)(int,void*,void*,char))fp)(args[0].i,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
((void (*)(int,void*,void*,int))fp)(args[0].i,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
((void (*)(int,void*,void*,float))fp)(args[0].i,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
((void (*)(int,void*,void*,void*))fp)(args[0].i,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
case R_FLOAT:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
((void (*)(float,char,char,char))fp)(args[0].f,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
((void (*)(float,char,char,int))fp)(args[0].f,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
((void (*)(float,char,char,float))fp)(args[0].f,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
((void (*)(float,char,char,void*))fp)(args[0].f,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
((void (*)(float,char,int,char))fp)(args[0].f,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
((void (*)(float,char,int,int))fp)(args[0].f,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
((void (*)(float,char,int,float))fp)(args[0].f,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
((void (*)(float,char,int,void*))fp)(args[0].f,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
((void (*)(float,char,float,char))fp)(args[0].f,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
((void (*)(float,char,float,int))fp)(args[0].f,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
((void (*)(float,char,float,float))fp)(args[0].f,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
((void (*)(float,char,float,void*))fp)(args[0].f,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
((void (*)(float,char,void*,char))fp)(args[0].f,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
((void (*)(float,char,void*,int))fp)(args[0].f,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
((void (*)(float,char,void*,float))fp)(args[0].f,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
((void (*)(float,char,void*,void*))fp)(args[0].f,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
((void (*)(float,int,char,char))fp)(args[0].f,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
((void (*)(float,int,char,int))fp)(args[0].f,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
((void (*)(float,int,char,float))fp)(args[0].f,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
((void (*)(float,int,char,void*))fp)(args[0].f,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
((void (*)(float,int,int,char))fp)(args[0].f,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
((void (*)(float,int,int,int))fp)(args[0].f,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
((void (*)(float,int,int,float))fp)(args[0].f,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
((void (*)(float,int,int,void*))fp)(args[0].f,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
((void (*)(float,int,float,char))fp)(args[0].f,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
((void (*)(float,int,float,int))fp)(args[0].f,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
((void (*)(float,int,float,float))fp)(args[0].f,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
((void (*)(float,int,float,void*))fp)(args[0].f,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
((void (*)(float,int,void*,char))fp)(args[0].f,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
((void (*)(float,int,void*,int))fp)(args[0].f,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
((void (*)(float,int,void*,float))fp)(args[0].f,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
((void (*)(float,int,void*,void*))fp)(args[0].f,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
((void (*)(float,float,char,char))fp)(args[0].f,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
((void (*)(float,float,char,int))fp)(args[0].f,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
((void (*)(float,float,char,float))fp)(args[0].f,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
((void (*)(float,float,char,void*))fp)(args[0].f,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
((void (*)(float,float,int,char))fp)(args[0].f,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
((void (*)(float,float,int,int))fp)(args[0].f,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
((void (*)(float,float,int,float))fp)(args[0].f,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
((void (*)(float,float,int,void*))fp)(args[0].f,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
((void (*)(float,float,float,char))fp)(args[0].f,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
((void (*)(float,float,float,int))fp)(args[0].f,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
((void (*)(float,float,float,float))fp)(args[0].f,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
((void (*)(float,float,float,void*))fp)(args[0].f,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
((void (*)(float,float,void*,char))fp)(args[0].f,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
((void (*)(float,float,void*,int))fp)(args[0].f,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
((void (*)(float,float,void*,float))fp)(args[0].f,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
((void (*)(float,float,void*,void*))fp)(args[0].f,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
((void (*)(float,void*,char,char))fp)(args[0].f,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
((void (*)(float,void*,char,int))fp)(args[0].f,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
((void (*)(float,void*,char,float))fp)(args[0].f,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
((void (*)(float,void*,char,void*))fp)(args[0].f,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
((void (*)(float,void*,int,char))fp)(args[0].f,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
((void (*)(float,void*,int,int))fp)(args[0].f,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
((void (*)(float,void*,int,float))fp)(args[0].f,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
((void (*)(float,void*,int,void*))fp)(args[0].f,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
((void (*)(float,void*,float,char))fp)(args[0].f,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
((void (*)(float,void*,float,int))fp)(args[0].f,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
((void (*)(float,void*,float,float))fp)(args[0].f,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
((void (*)(float,void*,float,void*))fp)(args[0].f,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
((void (*)(float,void*,void*,char))fp)(args[0].f,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
((void (*)(float,void*,void*,int))fp)(args[0].f,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
((void (*)(float,void*,void*,float))fp)(args[0].f,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
((void (*)(float,void*,void*,void*))fp)(args[0].f,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
case R_PTR:
switch (types[1]) {
case R_CHAR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
((void (*)(void*,char,char,char))fp)(args[0].p,args[1].c,args[2].c,args[3].c);
break;
case R_INT:
((void (*)(void*,char,char,int))fp)(args[0].p,args[1].c,args[2].c,args[3].i);
break;
case R_FLOAT:
((void (*)(void*,char,char,float))fp)(args[0].p,args[1].c,args[2].c,args[3].f);
break;
case R_PTR:
((void (*)(void*,char,char,void*))fp)(args[0].p,args[1].c,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
((void (*)(void*,char,int,char))fp)(args[0].p,args[1].c,args[2].i,args[3].c);
break;
case R_INT:
((void (*)(void*,char,int,int))fp)(args[0].p,args[1].c,args[2].i,args[3].i);
break;
case R_FLOAT:
((void (*)(void*,char,int,float))fp)(args[0].p,args[1].c,args[2].i,args[3].f);
break;
case R_PTR:
((void (*)(void*,char,int,void*))fp)(args[0].p,args[1].c,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
((void (*)(void*,char,float,char))fp)(args[0].p,args[1].c,args[2].f,args[3].c);
break;
case R_INT:
((void (*)(void*,char,float,int))fp)(args[0].p,args[1].c,args[2].f,args[3].i);
break;
case R_FLOAT:
((void (*)(void*,char,float,float))fp)(args[0].p,args[1].c,args[2].f,args[3].f);
break;
case R_PTR:
((void (*)(void*,char,float,void*))fp)(args[0].p,args[1].c,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
((void (*)(void*,char,void*,char))fp)(args[0].p,args[1].c,args[2].p,args[3].c);
break;
case R_INT:
((void (*)(void*,char,void*,int))fp)(args[0].p,args[1].c,args[2].p,args[3].i);
break;
case R_FLOAT:
((void (*)(void*,char,void*,float))fp)(args[0].p,args[1].c,args[2].p,args[3].f);
break;
case R_PTR:
((void (*)(void*,char,void*,void*))fp)(args[0].p,args[1].c,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_INT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
((void (*)(void*,int,char,char))fp)(args[0].p,args[1].i,args[2].c,args[3].c);
break;
case R_INT:
((void (*)(void*,int,char,int))fp)(args[0].p,args[1].i,args[2].c,args[3].i);
break;
case R_FLOAT:
((void (*)(void*,int,char,float))fp)(args[0].p,args[1].i,args[2].c,args[3].f);
break;
case R_PTR:
((void (*)(void*,int,char,void*))fp)(args[0].p,args[1].i,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
((void (*)(void*,int,int,char))fp)(args[0].p,args[1].i,args[2].i,args[3].c);
break;
case R_INT:
((void (*)(void*,int,int,int))fp)(args[0].p,args[1].i,args[2].i,args[3].i);
break;
case R_FLOAT:
((void (*)(void*,int,int,float))fp)(args[0].p,args[1].i,args[2].i,args[3].f);
break;
case R_PTR:
((void (*)(void*,int,int,void*))fp)(args[0].p,args[1].i,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
((void (*)(void*,int,float,char))fp)(args[0].p,args[1].i,args[2].f,args[3].c);
break;
case R_INT:
((void (*)(void*,int,float,int))fp)(args[0].p,args[1].i,args[2].f,args[3].i);
break;
case R_FLOAT:
((void (*)(void*,int,float,float))fp)(args[0].p,args[1].i,args[2].f,args[3].f);
break;
case R_PTR:
((void (*)(void*,int,float,void*))fp)(args[0].p,args[1].i,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
((void (*)(void*,int,void*,char))fp)(args[0].p,args[1].i,args[2].p,args[3].c);
break;
case R_INT:
((void (*)(void*,int,void*,int))fp)(args[0].p,args[1].i,args[2].p,args[3].i);
break;
case R_FLOAT:
((void (*)(void*,int,void*,float))fp)(args[0].p,args[1].i,args[2].p,args[3].f);
break;
case R_PTR:
((void (*)(void*,int,void*,void*))fp)(args[0].p,args[1].i,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_FLOAT:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
((void (*)(void*,float,char,char))fp)(args[0].p,args[1].f,args[2].c,args[3].c);
break;
case R_INT:
((void (*)(void*,float,char,int))fp)(args[0].p,args[1].f,args[2].c,args[3].i);
break;
case R_FLOAT:
((void (*)(void*,float,char,float))fp)(args[0].p,args[1].f,args[2].c,args[3].f);
break;
case R_PTR:
((void (*)(void*,float,char,void*))fp)(args[0].p,args[1].f,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
((void (*)(void*,float,int,char))fp)(args[0].p,args[1].f,args[2].i,args[3].c);
break;
case R_INT:
((void (*)(void*,float,int,int))fp)(args[0].p,args[1].f,args[2].i,args[3].i);
break;
case R_FLOAT:
((void (*)(void*,float,int,float))fp)(args[0].p,args[1].f,args[2].i,args[3].f);
break;
case R_PTR:
((void (*)(void*,float,int,void*))fp)(args[0].p,args[1].f,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
((void (*)(void*,float,float,char))fp)(args[0].p,args[1].f,args[2].f,args[3].c);
break;
case R_INT:
((void (*)(void*,float,float,int))fp)(args[0].p,args[1].f,args[2].f,args[3].i);
break;
case R_FLOAT:
((void (*)(void*,float,float,float))fp)(args[0].p,args[1].f,args[2].f,args[3].f);
break;
case R_PTR:
((void (*)(void*,float,float,void*))fp)(args[0].p,args[1].f,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
((void (*)(void*,float,void*,char))fp)(args[0].p,args[1].f,args[2].p,args[3].c);
break;
case R_INT:
((void (*)(void*,float,void*,int))fp)(args[0].p,args[1].f,args[2].p,args[3].i);
break;
case R_FLOAT:
((void (*)(void*,float,void*,float))fp)(args[0].p,args[1].f,args[2].p,args[3].f);
break;
case R_PTR:
((void (*)(void*,float,void*,void*))fp)(args[0].p,args[1].f,args[2].p,args[3].p);
break;
}
break;
}
break;
case R_PTR:
switch (types[2]) {
case R_CHAR:
switch (types[3]) {
case R_CHAR:
((void (*)(void*,void*,char,char))fp)(args[0].p,args[1].p,args[2].c,args[3].c);
break;
case R_INT:
((void (*)(void*,void*,char,int))fp)(args[0].p,args[1].p,args[2].c,args[3].i);
break;
case R_FLOAT:
((void (*)(void*,void*,char,float))fp)(args[0].p,args[1].p,args[2].c,args[3].f);
break;
case R_PTR:
((void (*)(void*,void*,char,void*))fp)(args[0].p,args[1].p,args[2].c,args[3].p);
break;
}
break;
case R_INT:
switch (types[3]) {
case R_CHAR:
((void (*)(void*,void*,int,char))fp)(args[0].p,args[1].p,args[2].i,args[3].c);
break;
case R_INT:
((void (*)(void*,void*,int,int))fp)(args[0].p,args[1].p,args[2].i,args[3].i);
break;
case R_FLOAT:
((void (*)(void*,void*,int,float))fp)(args[0].p,args[1].p,args[2].i,args[3].f);
break;
case R_PTR:
((void (*)(void*,void*,int,void*))fp)(args[0].p,args[1].p,args[2].i,args[3].p);
break;
}
break;
case R_FLOAT:
switch (types[3]) {
case R_CHAR:
((void (*)(void*,void*,float,char))fp)(args[0].p,args[1].p,args[2].f,args[3].c);
break;
case R_INT:
((void (*)(void*,void*,float,int))fp)(args[0].p,args[1].p,args[2].f,args[3].i);
break;
case R_FLOAT:
((void (*)(void*,void*,float,float))fp)(args[0].p,args[1].p,args[2].f,args[3].f);
break;
case R_PTR:
((void (*)(void*,void*,float,void*))fp)(args[0].p,args[1].p,args[2].f,args[3].p);
break;
}
break;
case R_PTR:
switch (types[3]) {
case R_CHAR:
((void (*)(void*,void*,void*,char))fp)(args[0].p,args[1].p,args[2].p,args[3].c);
break;
case R_INT:
((void (*)(void*,void*,void*,int))fp)(args[0].p,args[1].p,args[2].p,args[3].i);
break;
case R_FLOAT:
((void (*)(void*,void*,void*,float))fp)(args[0].p,args[1].p,args[2].p,args[3].f);
break;
case R_PTR:
((void (*)(void*,void*,void*,void*))fp)(args[0].p,args[1].p,args[2].p,args[3].p);
break;
}
break;
}
break;
}
break;
}
break;
} break;
default:
  fprintf(stderr, "invalid arguments\n");
  return 1;
}

    return 0;
}

#endif
